mkdocs-material-9.7.6 (2026-03-19)

  * Automatically disable MkDocs 2.0 warning for forks of MkDocs

mkdocs-material-9.7.5 (2026-03-10)

  * Limited version range of mkdocs to <2
  * Updated MkDocs 2.0 incompatibility warning (clarify relation with MkDocs)

mkdocs-material-9.7.4 (2026-03-03)

  * Hardened social cards plugin by switching to sandboxed environment
  * Updated MkDocs 2.0 incompatibility warning

mkdocs-material-9.7.3 (2026-02-24)

  * Fixed #8567: Print MkDocs 2.0 incompatibility warning to stderr

mkdocs-material-9.7.2 (2026-02-18)

  * Opened up version ranges of optional dependencies for forward-compatibility
  * Added warning to 'mkdocs build' about impending MkDocs 2.0 incompatibility

mkdocs-material-9.7.1 (2025-12-18)

  * Updated requests to 2.30+ to mitigate CVE in urllib
  * Fixed privacy plugin not picking up protocol-relative URLs
  * Fixed #8542: false positives and negatives captured in privacy plugin

mkdocs-material-9.7.0 (2025-11-11)

⚠️ Material for MkDocs is now in maintenance mode

This is the last release of Material for MkDocs that will receive new features.
Going forward, the Material for MkDocs team focuses on Zensical, a next-gen
static site generator built from first principles. We will provide critical
bug fixes and security updates for Material for MkDocs for 12 months at least.

Read the full announcement on our blog:
https://squidfunk.github.io/mkdocs-material/blog/2025/11/05/zensical/

This release includes all features that were previously exclusive to the
Insiders edition. These features are now freely available to everyone.

Note on deprecated plugins: The projects and typeset plugins are included in
this release, but must be considered deprecated. Both plugins proved
unsustainable to maintain and represent architectural dead ends. They are
provided as-is without ongoing support.

Changes:

  * Added support for pinned blog posts and author profiles
  * Added support for customizing pagination for blog index pages
  * Added support for customizing blog category sort order
  * Added support for staying on page when switching languages
  * Added support for disabling tags in table of contents
  * Added support for nested tags and shadow tags
  * Added support for footnote tooltips
  * Added support for instant previews
  * Added support for instant prefetching
  * Added support for custom social card layouts
  * Added support for custom social card background images
  * Added support for selectable rangs in code blocks
  * Added support for custom selectors for code annotations
  * Added support for configurable log level in privacy plugin
  * Added support for processing of external links in privacy plugin
  * Added support for automatic image optimization via optimize plugin
  * Added support for navigation paths (breadcrumbs)
  * Fixed #8519: Vector accents do not render when using KaTeX

mkdocs-material-9.6.23 (2025-11-01)

  * Updated Burmese translation

mkdocs-material-9.6.22 (2025-10-15)

  * Updated Georgian translation

mkdocs-material-9.6.21 (2025-09-30)

  * Updated Serbian translations
  * Fixed #8458: Temporary pin of click dependency

mkdocs-material-9.6.20 (2025-09-15)

  * Fixed #8446: Deprecation warning as of Python 3.14 in Emoji extension
  * Fixed #8440: `&` character not escaped in search highlighting
  * Fixed #8439: FontAwesome icons color not set in social cards (regression)

mkdocs-material-9.6.19 (2025-09-07)

  * Added support for Python 3.14
  * Updated Bahasa Malaysia translations

mkdocs-material-9.6.18 (2025-08-22)

  * Updated Azerbaijani translations
  * Fixed last compat issues with [minijinja], now 100% compatible

mkdocs-material-9.6.17 (2025-08-15)

  * Fixed #8396: Videos do not autoplay when inside a content tab
  * Fixed #8394: Stroke width not effective in Mermaid.js diagrams
  * Fixed disappearing version selector when hiding page title

mkdocs-material-9.6.16 (2025-07-26)

  * Fixed #8349: Info plugin doesn't correctly detect virtualenv in some cases
  * Fixed #8334: Find-in-page detects matches in hidden search result list

mkdocs-material-9.6.15 (2025-07-01)

  * Updated Mongolian translations
  * Improved semantic markup of "edit this page" button
  * Improved info plugin virtual environment resolution
  * Fixed #8291: Large font size setting throws of breakpoints in JavaScript

mkdocs-material-9.6.14 (2025-05-13)

  * Fixed #8215: Social plugin crashes when CairoSVG is updated to 2.8

mkdocs-material-9.6.13 (2025-05-10)

  * Fixed #8204: Annotations showing list markers in print view
  * Fixed #8153: Improve style of cardinality symbols in Mermaid.js ER diagrams

mkdocs-material-9.6.12 (2025-04-17)

  * Fixed #8158: Flip footnote back reference icon for right-to-left languages

mkdocs-material-9.6.11 (2025-04-01)

  * Updated Docker image to latest Alpine Linux
  * Bump required Jinja version to 3.1
  * Fixed #8133: Jinja filter `items` not available (9.6.10 regression)
  * Fixed #8128: Search plugin not entirely disabled via enabled setting

mkdocs-material-9.6.10 (2025-03-30)

  This version is a pure refactoring release, and does not contain new features
  or bug fixes. It strives to improve the compatibility of our templates with
  alternative Jinja-like template engines that we're currently exploring,
  including minijinja.

  Additionally, it replaces several instances of Python function invocations
  with idiomatic use of template filters. All instances where variables have
  been mutated inside templates have been replaced. Most changes have been made
  in partials, and only a few in blocks, and all of them are fully backward
  compatible, so no changes to overrides are necessary.

  Note that this release does not replace the Jinja template engine with
  minijinja. However, our templates are now 99% compatible with minijinja,
  which means we can explore alternative Jinja-compatible implementations.
  Additionally, immutability and removal of almost all Python function
  invocations means much more idiomatic templating.

mkdocs-material-9.6.9 (2025-03-17)

  * Updated Serbo-Croatian translations
  * Fixed #8086: Custom SVG icons containing hashes break rendering
  * Fixed #8067: Drawer has gap on right side in Firefox on some OSs

mkdocs-material-9.6.8+insiders-4.53.16 (2025-03-13)

  * Fixed #8019: Tooltips have precedence over instant previews

mkdocs-material-9.6.8 (2025-03-13)

  * Added Welsh translations
  * Fixed #8076: Privacy plugin crashes if HTTP download fails

mkdocs-material-9.6.7 (2025-03-03)

  * Fixed #8056: Error in backrefs implementation (9.6.6 regression)
  * Fixed #8054: Unescaped quotes in ARIA labels of table of contents

mkdocs-material-9.6.6 (2025-03-01)

  * Fixed #8040: Privacy plugin not replacing exteral assets (9.6.5 regression)
  * Fixed #8031: Replace unmaintained regex package in search plugin

mkdocs-material-9.6.5 (2025-02-20)

  * Fixed #8016: Tags listing not showing when when file name has spaces
  * Fixed #8012: Privacy plugin crashes if HTTP download fails

mkdocs-material-9.6.4 (2025-02-12)

  * Fixed #7985: Blog content sometimes not stretching to full width
  * Fixed #7978: Navigation rendering bug in Safari 18.3

mkdocs-material-9.6.3 (2025-02-07)

  * Fixed rendering of arrow heads in Mermaid.js class diagrams
  * Fixed #7960: Tags plugin crashes on numeric metadata titles

mkdocs-material-9.6.2 (2025-02-03)

  * Fixed #7955: Excessively long words don't break on narrow screens
  * Fixed #7947: Scope setting interferes with outdated version banner

mkdocs-material-9.6.1 (2025-01-31)

  * Fixed #7943: Tags plugin crashing due to merge error

mkdocs-material-9.6.0 (2025-01-31)

  * Added meta plugin
  * Rewrite of the tags plugin
  * Added support for allow lists in tags plugin
  * Added support for and custom sorting in tags plugin
  * Added support for related links in blog plugin
  * Added support for custom index pages in blog plugin
  * Added support for navigation subtitles
  * Fixed #7924: Anchors might require two clicks when using instant navigation

mkdocs-material-9.5.50 (2025-01-18)

  * Fixed #7913: Social plugin renders attribute lists in page title

mkdocs-material-9.5.49+insiders-4.53.15 (2025-01-15)

  * Fixed #7896: Scoped tags listings not rendering in subsections

mkdocs-material-9.5.49 (2024-12-16)

  * Adjusted title color in dark mode for all supported Mermaid.js diagrams
  * Fixed #7803: Privacy plugin crashes on generated files
  * Fixed #7781: Mermaid.js flow chart title not visible in dark mode

mkdocs-material-9.5.48 (2024-12-08)

  * Fixed #7774: Disabling social cards doesn't work

mkdocs-material-9.5.47 (2024-12-01)

  * Fixed #7750: Numeric tags break search
  * Fixed #7748: Blog plugin breaks when using future drafts (9.5.45 regression)

mkdocs-material-9.5.46 (2024-11-25)

  * Added support for removing preload hints in privacy plugin
  * Fixed #7734: Code blocks in h5 headlines are uppercased
  * Fixed #7725: Blog plugin crashing on missing timezone (9.5.45 regression)

mkdocs-material-9.5.45 (2024-11-20)

  * Reduced size of Docker image through multi-stage build
  * Fixed #7708: Blog plugin crashing on YAML dates with timezones

mkdocs-material-9.5.44 (2024-11-05)

  * Fixed #7672: Font CSS 404's when using privacy plugin (9.5.43 regression)

mkdocs-material-9.5.43 (2024-10-31)

  * Added support for external images in SVGs in privacy plugin
  * Fixed #7651: Privacy plugin doesn't handle quoted URLs in CSS

mkdocs-material-9.5.42 (2024-10-20)

  * Fixed #7625: Invalid encoding of boolean attributes in privacy plugin
  * Fixed #7624: Crash when disabling privacy plugin (9.5.41 regression)

mkdocs-material-9.5.41 (2024-10-15)

  * Fixed #7619: Improved tooltip on logo disappears after instant navigation
  * Fixed #7616: Race condition in built-in privacy plugin when inlining assets
  * Fixed #7615: Comments and "Was this page helpful?" visible when printing

mkdocs-material-9.5.40 (2024-10-10)

  * Updated Latvian translations
  * Fixed #7597: Social cards not using site name on home page

mkdocs-material-9.5.39+insiders-4.53.14 (2024-09-29)

  * Fixed #7567: Empty headlines when using typeset plugin with anchorlinks

mkdocs-material-9.5.39 (2024-09-29)

  * Fixed #7226: not staying on page when using mike's canonical versioning

mkdocs-material-9.5.38 (2024-09-26)

  * Added Albanian translations

mkdocs-material-9.5.37 (2024-09-25)

  * Added 4th and 5th level ordered list styles
  * Fixed #7548: Tags have no spacing in search

mkdocs-material-9.5.36 (2024-09-21)

  * Fixed #7544: Social cards incorrectly rendering HTML entities
  * Fixed #7542: Improved support for setting custom list styles

mkdocs-material-9.5.35 (2024-09-18)

  * Fixed #7498: Search not showing for Vietnamese language

mkdocs-material-9.5.34+insiders-4.53.13 (2024-09-14)

  * Fixed #7520: Social plugin errors for generated files (MkDocs 1.6+)

mkdocs-material-9.5.34 (2024-08-31)

  * Updated Mermaid.js to version 11 (latest)

mkdocs-material-9.5.33 (2024-08-23)

  * Fixed #7453: Incorrect position of tooltip when sorting table

mkdocs-material-9.5.32 (2024-08-19)

  * Fixed RXSS vulnerability via deep link in search results
  * Added support for fetching latest release from GitLab

mkdocs-material-9.5.31+insiders-4.53.12 (2024-08-02)

  * Fixed #7410: Instant previews jump on content tabs with anchor links
  * Fixed #7408: Instant previews jump on content tabs

mkdocs-material-9.5.31 (2024-08-02)

  * Fixed #7405: DockerHub missing images > 9.5.27 due to change in Alpine/APK

mkdocs-material-9.5.30 (2024-07-23)

  * Fixed #7380: Navigation icons disappearing on hover in Safari
  * Fixed #7367: Blog readtime computation includes SVG text content

mkdocs-material-9.5.29 (2024-07-14)

  * Updated Galician translations
  * Fixed #7362: Annotations in figure captions rendering incorrectly

mkdocs-material-9.5.28 (2024-07-02)

  * Fixed #7313: Improved tooltips mounted in sidebar when feature is disabled

mkdocs-material-9.5.27 (2024-06-16)

  * Updated Estonian translations

mkdocs-material-9.5.26 (2024-06-06)

  * Fixed #7232: Tab switches on scroll when linking tabs (9.5.19 regression)
  * Fixed #7230: Blog author avatar broken when referring to local file

mkdocs-material-9.5.25+insiders-4.53.11 (2024-05-27)

  * Fixed projects plugin crashing when serving before building subprojects

mkdocs-material-9.5.25 (2024-05-27)

  * Fixed #7209: Tags plugin crashing on numeric tags

mkdocs-material-9.5.24+insiders-4.53.10 (2024-05-20)

  * Fixed projects plugin crashing in serve mode when disabled
  * Fixed projects plugin crashing when building nested projects

mkdocs-material-9.5.24+insiders-4.53.9 (2024-05-20)

  * Fixed #7191: Tags listings not rendering when toc_depth is changed

mkdocs-material-9.5.24 (2024-05-20)

  * Fixed #7187: Version selector title rendering issue

mkdocs-material-9.5.23 (2024-05-15)

  * Fixed #7183: Edge case in anchor navigation when using instant navigation
  * Fixed #6436: Version selector not showing version alias

mkdocs-material-9.5.22 (2024-05-12)

  * Fixed #7170: Copy button adds empty lines for line spans (9.5.18 regression)
  * Fixed #7160: Version switching doesn't stay on page (9.5.5 regression)
  * Fixed #5619: Links in Mermaid.js diagrams not discernible

mkdocs-material-9.5.21 (2024-05-03)

  * Fixed #7133: Ensure latest version of Mermaid.js is used
  * Fixed #7125: Added warning for dotfiles in info plugin

mkdocs-material-9.5.20 (2024-04-29)

  * Fixed deprecation warning in privacy plugin (9.5.19 regression)
  * Fixed #7119: Tags plugin emits deprecation warning (9.5.19 regression)
  * Fixed #7118: Social plugin crashes if fonts are disabled (9.5.19 regression)
  * Fixed #7085: Social plugin crashes on Windows when downloading fonts

mkdocs-material-9.5.19+insiders-4.53.8 (2024-04-26)

  * Fixed #7052: Preview extension automatically including all pages
  * Fixed #7051: Instant previews mounting on footnote references
  * Fixed #5165: Improved tooltips not mounting in sidebar for typeset plugin

mkdocs-material-9.5.19+insiders-4.53.7 (2024-04-25)

  * Fixed #7060: Incorrect resolution of translation when using static-i18n

mkdocs-material-9.5.19 (2024-04-25)

  * Updated MkDocs to 1.6 and limited version to < 2
  * Updated Docker image to latest Alpine Linux
  * Removed setup.py, now that GitHub fully understands pyproject.toml
  * Improved interop of social plugin with third-party MkDocs themes
  * Fixed #7099: Blog reading time not rendered correctly for Japanese
  * Fixed #7097: Improved resilience of tags plugin when no tags are given
  * Fixed #7090: Active tab indicator in nested content tabs rendering bug

mkdocs-material-9.5.18 (2024-04-16)

  * Refactored tooltips implementation to fix positioning issues
  * Fixed #7044: Rendering glitch when hovering contributor avatar in Chrome
  * Fixed #7043: Highlighted lines in code blocks cutoff on mobile
  * Fixed #6910: Incorrect position of tooltip for page status in sidebar
  * Fixed #6760: Incorrect position and overly long tooltip in tables
  * Fixed #6488: Incorrect position and cutoff tooltip in content tabs

mkdocs-material-9.5.17+insiders-4.53.6 (2024-04-05)

  * Ensure working directory is set for projects when using projects plugin
  * Fixed #6970: Incorrect relative paths in git submodules with projects plugin

mkdocs-material-9.5.17+insiders-4.53.5 (2024-04-02)

  * Fixed social plugin crashing when no colors are specified in palettes

mkdocs-material-9.5.17 (2024-04-02)

  * Updated Serbian translations
  * Fixed #7003: Confusing keyboard interaction for palette toggle
  * Fixed #7001: Blog posts now show time by default (9.5.16 regression)
  * Fixed edge case in backport of social plugin font loading logic

mkdocs-material-9.5.16+insiders-4.53.4 (2024-03-31)

  * Fixed #6973: Escaping issue in tags extra files deprecation helper

mkdocs-material-9.5.16 (2024-03-31)

  * Updated Russian translations
  * Improved error handling and reporting in social plugin
  * Improved error handling and reporting in privacy plugin
  * Fixed blog plugin not allowing to use time in format strings
  * Fixed #6983: Social plugin crashes because of Google Fonts API change

mkdocs-material-9.5.15+insiders-4.53.3 (2024-03-23)

  * Added support for font variants in social plugin
  * Improved resilience of font resolution in social plugin
  * Fixed tag listing sometimes not being auto-populated
  * Fixed tag listing scope not being correctly resolved
  * Fixed #6941: Meta plugin adding duplicate entries
  * Fixed #6928: Social plugin crashes for some fonts

mkdocs-material-9.5.15 (2024-03-23)

  * Reverted fix for transparent iframes (9.5.14)
  * Fixed #6929: Interference of social plugin and auto dark mode
  * Fixed #6938: Giscus shows dark background in light mode (9.5.14 regression)

mkdocs-material-9.5.14+insiders-4.53.2 (2024-03-18)

  * Fixed abort on first non-matching configuration in preview extension
  * Fixed #6914: Meta files take precedence over front matter

mkdocs-material-9.5.14 (2024-03-18)

  * Added support for hiding versions from selector when using mike
  * Added init system to improve signal handling in Docker image
  * Fixed edge cases in exclusion logic of info plugin
  * Fixed inability to reset pipeline in search plugin
  * Fixed syntax error in Finnish translations
  * Fixed #6917: UTF-8 encoding problems in blog plugin on Windows
  * Fixed #6889: Transparent iframes get background color

mkdocs-material-9.5.13+insiders-4.53.1 (2024-03-06)

  * Fixed #6877: Projects plugin computes incorrect path to assets
  * Fixed #6869: Blog plugin should emit warning on invalid related link

mkdocs-material-9.5.13 (2024-03-06)

  * Updated Slovak translations
  * Improved info plugin interop with projects plugin
  * Improved info plugin inclusion/exclusion logic
  * Fixed info plugin not gathering files recursively
  * Fixed #6750: Ensure info plugin packs up all necessary files

mkdocs-material-9.5.12 (2024-02-29)

  * Fixed #6846: Some meta tags removed on instant navigation (9.4.2 regression)
  * Fixed #6823: KaTex not rendering on instant navigation (9.5.5 regression)
  * Fixed #6821: Privacy plugin doesn't handle URLs with encoded characters

mkdocs-material-9.5.11+insiders-4.53.0 (2024-02-24)

  * Added support for automatic instant previews
  * Added support for pinned blog posts

mkdocs-material-9.5.11 (2024-02-19)

  * Updated Finnish translation

mkdocs-material-9.5.10+insiders-4.52.3 (2024-02-21)

  * Fixed resolution of URLs in instant previews
  * Fixed instant previews not mounting for same-page links

mkdocs-material-9.5.10 (2024-02-19)

  * Updated Bahasa Malaysia translations
  * Fixed #6783: Hide continue reading link for blog posts without separators
  * Fixed #6779: Incorrect positioning of integrated table of contents

mkdocs-material-9.5.9 (2024-02-10)

  * Fixed navigation pruning with tabs and sections enabled

mkdocs-material-9.5.8+insiders-4.52.2 (2024-02-07)

  * Fixed #6735: Instant previews misplaced when below tabs

mkdocs-material-9.5.8 (2024-02-07)

  * Added Tamil translations
  * Updated Esperanto translations
  * Fixed relative images not being resolved for instant navigation

mkdocs-material-9.5.7 (2024-02-03)

  * Fixed #6731: Small images in figures are not centered
  * Fixed #6719: Instant navigation breaks table of contents (9.5.5 regression)

mkdocs-material-9.5.6+insiders-4.52.1 (2024-01-30)

  * Fixed #6705: Navigation path not being hidden when specified
  * Fixed #6703: New tags plugin crashes on Windows (2nd attempt)

mkdocs-material-9.5.6+insiders-4.52.0 (2024-01-28)

  * Added support for instant previews
  * Fixed footnote tooltips positioning edge cases
  * Fixed #6703: New tags plugin crashes on Windows

mkdocs-material-9.5.6 (2024-01-28)

  * Fixed #6700: Missing styles for Mermaid.js labels with Markdown

mkdocs-material-9.5.5+insiders-4.51.0 (2024-01-24)

  * Added support for footnote tooltips

mkdocs-material-9.5.5 (2024-01-24)

  * Updated Tagalog translations
  * Updated Pillow to 10.2 to mitigate security vulnerabilities
  * Improved resilience of instant navigation
  * Fixed #6687: Updated Mermaid.js to version 10.7.0 (latest)
  * Fixed #6652: Keyboard events in custom elements captured
  * Fixed #6582: Instant navigation doesn't correctly handle alternate URLs
  * Fixed #6565: Instant navigation doesn't allow for onclick handlers
  * Fixed #6345: Instant navigation sometimes breaks browser back button
  * Fixed #6334: Instant navigation doesn't correctly position anchors (Safari)
  * Fixed #6275: Instant navigation doesn't correctly resolve after 404
  * Fixed #6102: Instant navigation reloads page on same link navigation

mkdocs-material-9.5.4+insiders-4.50.0 (2024-01-19)

  * Added configurable logging capabilities to privacy plugin

mkdocs-material-9.5.4 (2024-01-15)

  * Fixed #6645: Local storage with invalid value can break site
  * Fixed #6635: Tags icons before default ignored if default is set

mkdocs-material-9.5.3+insiders-4.49.2 (2024-01-09)

  * Fixed missing attribute lists extension for tags plugin
  * Fixed #6627: New tags plugin crashes on Python 3.8

mkdocs-material-9.5.3+insiders-4.49.1 (2024-01-07)

  * Improved interop of new tags plugin with other plugins
  * Fixed #6594: Tags plugin doesn't work with mkdocs-macros plugin
  * Fixed #6569: Social plugin crashes if in different file system location

mkdocs-material-9.5.3+insiders-4.49.0 (2023-12-29)

  * Added support for exporting tags and mappings
  * Added support for disabling tags and/or listings or both
  * Fixed tag links from pages to listings on homepage

mkdocs-material-9.5.3+insiders-4.48.0 (2023-12-23)

  * Rewrite of tags plugin, now much more powerful
  * Added support for nested tags (tag hierarchies, e.g. foo/bar)
  * Added support for shadow tags (by list, prefix or suffix)
  * Added support for custom tag layouts and templates
  * Added support for hiding tags in table of contents
  * Added support for configurable inline tag listings
  * Added support for automatically linking to closest tag listing
  * Added support for scoped listings (limit to subsection of site)
  * Added support for multiple instances of tags plugin
  * Added support for changing front matter property and template variable
  * Added support for tag slugification format strings
  * Fixed #6510: Projects plugin out of memory on Linux (4.47.1 regression)
  * Fixed projects plugin not notifying plugins about serve mode
  * Fixed projects plugin skipping projects on prefix match
  * Deprecated tags_file and tags_extra_files settings
  * Modernized tags plugin code base

mkdocs-material-9.5.3 (2023-12-23)

  * Limited version range of MkDocs to < 1.6
  * Updated Macedonian translations
  * Fixed #6520: Group plugin crashes when using mike
  * Fixed #6494: Hide author's email address if disabled in git-authors plugin

mkdocs-material-9.5.2+insiders-4.47.1 (2023-12-11)

  * Improved editing experience for projects plugin
  * Improved resilience of optimize and social plugin
  * Fixed race condition when writing manifest in optimize and social plugin
  * Fixed #6475: Logo not taking precedence over icon in social card
  * Fixed #6399: Projects plugin doesn't pick up added/removed projects
  * Fixed #6306: Projects plugin cache not correctly updated

mkdocs-material-9.5.2 (2023-12-11)

  * Fixed types for slugify settings in blog plugin config
  * Fixed #6469: Horizontal scrollbars on MathJax containers

mkdocs-material-9.5.1+insiders-4.47.0 (2023-12-08)

  * Added support for staying on page when switching languages
  * Added configurable logging capabilities to projects plugin
  * Removed temporary warning on blog plugin authors file format change
  * Fixed projects plugin logging messages twice on Linux systems
  * Fixed projects plugin trying to hoist theme assets of divergent themes
  * Fixed compatibility of optimize plugin and projects plugin
  * Fixed compatibility of social plugin and projects plugin
  * Fixed #6448: Code line selection broken for code blocks with custom ids
  * Fixed #6437: Projects plugin crashing for certain site URL configurations
  * Fixed #6414: Projects plugin doesn't prefix messages coming from projects

mkdocs-material-9.5.1 (2023-12-08)

  * Updated Greek translations
  * Fixed #6464: Privacy plugin cannot be enabled
  * Fixed #6461: Sorting blog posts ignores time component in date

mkdocs-material-9.5.0 (2023-12-07)

  Merged Insiders features of 'Goat's Horn' funding goal

  * Added privacy plugin: automatic downloading of external assets
  * Added support for card grids and grid layouts
  * Added support for improved tooltips
  * Added support for content tabs anchor links (deep linking)
  * Added support for automatic dark/light mode
  * Added support for document contributors

mkdocs-material-9.4.14+insiders-4.46.0 (2023-11-26)

  * Added support for author profiles in blog plugin
  * Fixed custom index pages yielding two navigation items (4.45.0 regression)

mkdocs-material-9.4.14 (2023-11-26)

  * Added support for linking authors in blog posts

mkdocs-material-9.4.13 (2023-11-26)

  * Fixed #6365: Blog plugin pagination links to previous pages broken
  * Fixed #5758: Updated Mermaid.js to version 10.6.1 (latest)

mkdocs-material-9.4.12+insiders-4.45.0 (2023-11-24)

  * Added support for sorting blog categories by post count or custom function
  * Improved tags plugin to generate Unicode-aware slugs by default
  * Fixed non-deterministic order of multiple authors in blog plugin

mkdocs-material-9.4.12 (2023-11-24)

  * Improved blog plugin to generate Unicode-aware slugs by default
  * Fixed non-deterministic order of categories in blog plugin

mkdocs-material-9.4.11+insiders-4.44.0 (2023-11-23)

  * Added pagination settings for archive pages in blog plugin
  * Added pagination settings for category pages in blog plugin

mkdocs-material-9.4.11 (2023-11-23)

  * Fixed #6364: Search plugin crashing when enabling theme while serving
  * Fixed blog plugin crashing when disabling pagination

mkdocs-material-9.4.10+insiders-4.43.1 (2023-11-19)

  * Added third-party theme support in projects plugin, improving editing
  * Fixed #6360: Projects plugin crashes when theme is not Material for MkDocs
  * Fixed #6306: Projects plugin not reloading nested project configuration

mkdocs-material-9.4.10 (2023-11-19)

  * Fixed #6356: Version selector can't be disabled via mike's configuration
  * Fixed #6281: Navigation not rendering due to Safari bug (9.4.2 regression)
  * Fixed #6261: Navigation expansion animates on first load (9.4.2 regression)

mkdocs-material-9.4.9 (2023-11-17)

  * Fixed #6344: Long entries cutoff in table of contents
  * Fixed #6336: Custom template for glob archive not working with pagination
  * Fixed #6328: Blog plugin crashes for locales with dashes, e.g. pt-BR
  * Fixed #6327: Copy-to-clipboard button doesn't trim trailing line feed
  * Fixed #6302: Version strings not matched when using mike, only aliases
  * Fixed instant navigation progress indicator for gzipped content in Chrome
  * Fixed rendering bug on details marker rotation in Firefox

mkdocs-material-9.4.8+insiders-4.43.0 (2023-11-05)

  * Added support for GitLab committers (document contributors)
  * Fixed #6264: Fixed compatibility with Python < 3.10
  * Fixed #6254: Meta plugin not applying meta files to blog posts

mkdocs-material-9.4.8 (2023-11-05)

  * Fixed invalid local address replacement when using instant loading
  * Fixed #6275: Crash after navigation caused 404 when using instant loading

mkdocs-material-9.4.7+insiders-4.42.3 (2023-10-27)

  * Fixed #6251: Cards in grids cut off on very small screens
  * Fixed #6241: Using social plugin + static-i18n plugin errors

mkdocs-material-9.4.7 (2023-10-27)

  * Added Azerbaijani translations

mkdocs-material-9.4.6+insiders-4.42.2 (2023-10-14)

  * Fixed #6186: Privacy plugin ignores hash fragments on images
  * Fixed #6180: Projects plugin crashing when adding or removing files

mkdocs-material-9.4.6 (2023-10-14)

  * Updated Danish and Norwegian (Nynorsk) translations
  * Fixed #6169: Blog post metadata layout overflows on small screens

mkdocs-material-9.4.5 (2023-10-10)

  * Fixed sidebar auto-positioning (9.4.2 regression)
  * Fixed #6166: Improve group plugin compatibility with Python < 3.10
  * Fixed #6157: Hiding tags does not work (9.4.3 regression)

mkdocs-material-9.4.4+insiders-4.42.1 (2023-10-05)

  * Fixed spacing of related links in blog posts on small screens

mkdocs-material-9.4.4 (2023-10-05)

  * Added support for overriding text to be copied for code blocks
  * Fixed broken layout in some browsers at breakpoints when using zoom
  * Fixed #6132: Incomplete search highlighting for code blocks in titles

mkdocs-material-9.4.3 (2023-10-02)

  * Added support for instant navigation progress indicator
  * Improved spacing and alignment of tags
  * Moved back-to-top button into separate partial
  * Fixed #6104: Indentation for some code blocks lost in search
  * Fixed #6094: Blog post metadata overlaps with footer on small screens
  * Fixed #6069: Blog plugin crashes for categories with non-ASCII names

  Updated templates

  - base.html

mkdocs-material-9.4.2 (2023-09-25)

  * Updated Slovenian translations
  * Added animation to sidebar navigation expansion and collapse
  * Added support for auto-replacement of document head for instant navigation
  * Improved compatibility of new emoji extension with Python < 3.10
  * Switched regex dependency to use minimal version
  * Refactored alignment and spacing of sidebar navigation
  * Fixed expansion button not focusable via keyboard in sidebar navigation
  * Fixed viewport offset restoration on first load when using instant navigation
  * Fixed accidental highlight of non-clickable elements in blog plugin sidebar
  * Fixed #6041: Blog plugin crashes when nav is defined and blog not included
  * Fixed #5972: Blog plugin ignores section index pages in paginated views
  * Fixed #5954: Repeated click on anchor ignored when using instant navigation
  * Fixed #5742: Keyboard navigation broken when using instant navigation

  Updated templates

  * partials/nav-item.html
  * blog-post.html

mkdocs-material-9.4.1 (2023-09-22)

  * Improved colors and contrast in dark mode
  * Improved admonition borders to match font weight
  * Switched content tabs to neutral color

mkdocs-material-9.4.0 (2023-09-21)

  * Added Belarusian translations
  * Added version info to entrypoint of package
  * Added emoji extension as a replacement for materialx
  * Improved slate color scheme (dark mode) - now even darker
  * Restructured project to improve development experience
  * Updated MkDocs to 1.5.3
  * Fixed #3890: Development mode crashes on Linux

mkdocs-material-9.3.2+insiders-4.42.0 (2023-09-19)

  * Added support for using git submodules in projects plugin
  * Added support for transforming project configurations
  * Improved resilience of optimize and blog plugin
  * Fixed optimize plugin crashing on .jpeg extension
  * Fixed project URLs not using site URLs in projects plugin

mkdocs-material-9.3.2 (2023-09-19)

  * Updated Slovenian translations
  * Updated Python dependencies in requirements to use minimum versions
  * Fixed #6017: Code highlighting inconsistent in Community and Insiders edition
  * Fixed #6001: Contributor avatars display incorrectly in Firefox
  * Fixed #6000: Blog post drafts are included in navigation

mkdocs-material-9.3.1+insiders-4.41.0 (2023-09-11)

  * Improved multi-instance support for optimize plugin
  * Added inclusion and exclusion patterns for optimize plugin
  * Added transparent keyword for color handling in social plugin
  * Changed default quality of PNGs to 3 in optimize plugin
  * Fixed #5979: meta file not detected in root of docs directory

mkdocs-material-9.3.1 (2023-09-11)

  * Fixed crash of group plugin when used together with hooks

mkdocs-material-9.3.0 (2023-09-11)

  * Improved configuration sharing between Community and Insiders edition
  * Added experimental built-in group plugin for enabling plugins conditionally
  * Added new settings in tags plugin for enabling/disabling
  * Dropped support for Python 3.7 (EOL)

mkdocs-material-9.2.8+insiders-4.40.4 (2023-09-04)

  * Fixed privacy plugin choking on boolean HTML5 attributes
  * Fixed wrapping of inline code blocks in typeset table of contents
  * Fixed blog plugin error when running under dirty reload

mkdocs-material-9.2.8 (2023-09-04)

  * Updated Italian and Russian translations
  * Fixed #5952: Combining blog and tags plugin leads to wrong links
  * Fixed #5951: Blog plugin ignores post title in metadata
  * Fixed #5949: Blog plugin ignores post linked in nav

mkdocs-material-9-2.7+insiders-4.40.3 (2023-09-02)

  * Fixed #5946: Docker image missing pngquant for optimize plugin

mkdocs-material-9.2.7 (2023-09-02)

  * Switched dependencies to compatible release clauses
  * Removed readtime and lxml dependencies for blog plugin
  * Reduced size of Docker image to improve CI build performance
  * Fixed #5945: Incorrect footer navigation for sibling pages of blog
  * Fixed #5939: Page jumps when changing color palette (Firefox 117)
  * Fixed #5901: Announcement bar reappears when using instant loading
  * Fixed #5824: Allow to customize styles of sequence diagrams

mkdocs-material-9-2.6+insiders-4.40.2 (2023-08-31)

  * Added configurable error handling capabilities for social plugin
  * Fixed #5922: Blog plugin shows no posts when building a standalone blog
  * Fixed #5914: Tags plugin tags_extra_files errors (4.39.3 regression)
  * Fixed #5904: Blog plugin sometimes excludes files (4.40.1 regression)

mkdocs-material-9-2.6 (2023-08-31)

  * Added Basque translations
  * Added template for simple redirects
  * Improved blog plugin interop by moving view generation to on_files
  * Fixed #5924: Social plugin still checks dependencies when disabled
  * Fixed #5916: Blog plugin crashes on Python 3.8 (9.2.0 regression)

mkdocs-material-9-2.5+insiders-4.40.1 (2023-08-27)

  * Fixed #5902: ResizeObserver polyfill not detected by privacy plugin
  * Fixed empty category pages in blog plugin (4.40.0 regression)

mkdocs-material-9-2.5 (2023-08-27)

  * Fixed error in dirty serve mode when using blog plugin
  * Fixed page title not being consistent in blog plugin pagination
  * Fixed #5899: Blog plugin pagination breaks when disabling directory URLs

mkdocs-material-9.2.4+insiders-4.40.0 (2023-08-26)

  * Added logo, title and description options to social plugin default layouts
  * Fixed privacy plugin compatibility issue with Python < 3.10
  * Fixed #5896: Blog plugin errors when using custom index pages

mkdocs-material-9.2.4 (2023-08-26)

  * Added version to bug report name in info plugin
  * Updated Afrikaans translations

mkdocs-material-9.2.3+insiders-4.39.3 (2023-08-24)

  * Fixed lxml dependency missing in Docker image (4.39.2 regression)

mkdocs-material-9.2.3+insiders-4.39.2 (2023-08-23)

  * Fixed color palette toggle being reversed (9.2.0 regression)

mkdocs-material-9.2.3 (2023-08-22)

  * Fixed blog plugin rendering wrongly with markdown.extensions.toc
  * Fixed blog plugin entrypoint generation

mkdocs-material-9.2.2 (2023-08-22)

  * Fixed #5880: Blog plugin failing when building a standalone blog
  * Fixed #5881: Blog plugin not compatible with Python < 3.10

mkdocs-material-9.2.1 (2023-08-21)

  * Fixed #5879: Blog plugin failing when building a standalone blog
  * Fixed error in blog plugin when using draft tagging on future date
  * Fixed error in blog plugin when toc extension is not enabled

mkdocs-material-9.2.0+insiders-4.39.1 (2023-08-21)

  * Fixed git diff in tags plugin after merging back 9.2.0 changes

mkdocs-material-9.2.0 (2023-08-21)

  Additions and improvements

  * Added blogging support via built-in blog plugin
  * Added support for Chinese language segmentaiton in search plugin
  * Added support for adding custom dates to blog posts
  * Added support for paginating archive and category pages
  * Added support for annotations (outside of code blocks)
  * Added support for navigation icons
  * Added support for navigation pruning
  * Added support for navigation status
  * Added support for customizing site icons
  * Added support for customizing (code) annotation icons
  * Added focus outline to admonitions and details
  * Added prompt for bug report name to info plugin
  * Added Luxembourgish translations
  * Improved rendering of (code) annotation markers
  * Improved print styles for (code) annotations
  * Improved customizability of navigation tabs
  * Improved interop of plugins with external tools like mike
  * Improved interop of blog plugin with awesome pages plugin
  * Improved header partial by moving buttons into separate partials
  * Improved clarity of site_url warning in social plugin
  * Improved blog plugin to automatically setup directory structure
  * Switched info plugin to importlib to mitigate deprecations
  * Automatically download ResizeObserver polyfill when necessary
  * Automatically add iframe-worker polyfill when necessary in offline plugin
  * Automatically focus and bring up keyboard on touch devices
  * Updated Serbo-Croatian translations
  * Updated MkDocs to 1.5.2

  Removals

  * Removed Universal Analytics integration
  * Removed ancient polyfills to reduce size of bundled JavaScript by 20%
  * Removed necessity for Array.flat and Array.flatMap polyfill
  * Removed announcement bar button when JavaScript is not available

  Fixes

  * Fixed rendering of tags when announcement bar is present
  * Fixed tags plugin rendering pages excluded by other plugins
  * Fixed #5132: Blog plugin requires nav entry in mkdocs.yml
  * Fixed #5599: Insufficient contrast for default link color
  * Fixed #5715: Blog plugin missing integrated table of contents in pagination
  * Fixed #5806: Version selector not hoverable on some Android devices
  * Fixed #5826: Blog post drafts with tags show up in tags index

mkdocs-material-9.1.21+insiders-4.39.0 (2023-08-01)

  * Added support for hoisting theme media files when building projects
  * Added support for sorting pages on tags index for tags plugin
  * Added support for adding date of last update to blog posts
  * Fixed #5797: Parse error in typeset plugin (4.38.1 regression)

mkdocs-material-9.1.21+insiders-4.38.1 (2023-08-01)

  * Improved nested serve mode for projects plugin
  * Improved compat in privacy plugin with third-party plugins
  * Fixed #5790: Typeset plugin ignores data-toc-label attribute
  * Fixed #5778: Interplay of privacy plugin with git-revision-date-localized
  * Fixed #5773: Info plugin erroring when community edition is in beta

mkdocs-material-9.1.21+insiders-4.38.0 (2023-07-29)

  * Added projects plugin for building nested projects
  * Updated privacy plugin to new MkDocs API

mkdocs-material-9.1.21+insiders-4.37.1 (2023-07-28)

  * Updated MkDocs to 1.5.1
  * Fixed deprecation warning in social plugin due to MkDocs upgrade
  * Fixed #5772: Privacy plugin fails due to API change in MkDocs

mkdocs-material-9.1.21 (2023-07-27)

  * Fixed MkDocs 1.4 compat issue in social plugin (9.1.20 regression)

mkdocs-material-9.1.20 (2023-07-27)

  * Fixed deprecation warnings for social plugin

mkdocs-material-9.1.19 (2023-07-18)

  * Added support for MkDocs 1.5+
  * Fixed #5699: Improve error reporting in social plugin

mkdocs-material-9.1.18+insiders-4.37.0 (2023-07-07)

  * Added support for overriding social cards settings per page
  * Added new social card default/only/image layout
  * Improved resilience of optimize and social plugin
  * Fixed rendering bugs for pruned navigation items
  * Fixed jumping of content tabs anchor links when instant loading is enabled
  * Fixed #5676: Optimize plugin doesn't check for pngquant

mkdocs-material-9.1.18 (2023-07-03)

  * Updated Danish translations
  * Added support for installing user requirements in Docker image
  * Fixed #5655: Search separator with lookbehind breaks highlighting

mkdocs-material-9.1.17+insiders-4.36.1 (2023-06-23)

  * Fixed #5618: Date comparison breaking for drafts in blog plugin

mkdocs-material-9.1.17 (2023-06-23)

  * Fixed #5633: Code annotations with nested lists incorrectly mounted
  * Fixed #5628: Regression in new social plugin configuration scheme

mkdocs-material-9.1.16+insiders-4.36.0 (2023-06-15)

  * Added support for instant prefetching to speed up slow connections
  * Improved stability of anchor link removal in built-in typeset plugin
  * Improved performance of regular expressions in typeset plugin
  * Removed unnecessary import test for cairosvg in optimize plugin
  * Fixed #5590: regular expression for anchor link removal too greedy

mkdocs-material-9.1.16 (2023-06-15)

  * Updated Indonesian translations
  * Ensure scroll bar follows color scheme of operating system

mkdocs-material-9.1.15+insiders-4.35.3 (2023-06-01)

  * Fixed #5579: Abbreviations in headlines filtered by typeset plugin

mkdocs-material-9.1.15+insiders-4.35.2 (2023-05-29)

  * Fixed #5555: Blog plugin crashes when computing readtime for emojis

mkdocs-material-9.1.15 (2023-05-29)

  * Fixed #5566: Indicate color scheme to operating system
  * Fixed #5565: Update Dockerfile to latest version of base image
  * Fixed #5554: Add additional version tags (9, 9.1) to Docker image
  * Fixed #5536: Strip tags of ARIA labels in table of contents

mkdocs-material-9.1.14+insiders-4.35.1 (2023-05-20)

  * Fixed internal handling of errors in social plugin

mkdocs-material-9.1.14+insiders-4.35.0 (2023-05-20)

  * Improve editing experience and stability of social plugin
  * Added support for custom layout syntax validation in social plugin
  * Added support for layer origin for easier placement in social plugin
  * Added support for in- and exclusion patterns in social plugin
  * Catch and print syntax errors in custom layouts

mkdocs-material-9.1.14 (2023-05-20)

  * Updated Armenian and Greek translations

mkdocs-material-9.1.13+insiders-4.34.1 (2023-05-16)

  * Disable social plugin debug mode by default on mkdocs build
  * Added warning in social plugin debug mode when font style couldn't be found
  * Set default concurrency of built-in multi-threaded plugins to CPUs - 1
  * Fixed #5521: Social plugin triggers race condition when downloading fonts
  * Fixed #5515: Social plugin crashes when concurrency is set to 1

mkdocs-material-9.1.13 (2023-05-16)

  * Fixed #5517: Social plugin crashes for some fonts (e.g. Open Sans)

mkdocs-material-9.1.12+insiders-4.34.0 (2023-05-14)

  * Added support for new overflow mode to auto-fit text in social plugin
  * Reduced subtle rendering bugs in (code) annotations due to subpixel rounding
  * Improved print styles for (code) annotation lists
  * Improved performance of social plugin, now 3x as fast
  * Improved interop of typeset plugin with MkDocstrings
  * Fixed logo location for variants of default template in social plugin
  * Fixed #5446: Built-in typeset plugin picks up headings in code blocks

mkdocs-material-9.1.12+insiders-4.33.2 (2023-05-12)

  * Fixed #5508: Social plugin crashes trying to copy cards on Docker/Windows
  * Fixed #5507: Social plugin crashes on serve when layouts folder doesn't exist
  * Fixed #5505: Social plugin trying to resolve logo in wrong location
  * Fixed #5496: Annotations with nested lists incorrectly mounted
  * Fixed #5493: Social plugin crashes on Python 3.8

mkdocs-material-9.1.12 (2023-05-12)

  * Updated Bengali (Bangla) translations
  * Fixed #5503: Docker image publish errors on uppercase characters
  * Fixed #5407: Auto-pause media when in hidden content tabs

mkdocs-material-9.1.11+insiders-4.33.1 (2023-05-09)

  * Added support for SVG background images in social plugin

mkdocs-material-9.1.11 (2023-05-08)

  * Fixed #5487: Social plugin crashes without options (9.1.10 regression)

mkdocs-material-9.1.10+insiders-4.33.0 (2023-05-08)

  * Added support for custom layouts for social plugin
  * Added support for background images for social cards

mkdocs-material-9.1.10 (2023-05-08)

  * Added cards_layout_options setting for social cards
  * Deprecated cards_color and cards_font setting for social cards

mkdocs-material-9.1.9 (2023-05-02)

  * Added Telugu, Kannada and Sanskrit translations
  * Fixed #5428: Fixed margins for light/dark mode images in figures
  * Fixed #5420: Social plugin crashing for some specific Google Fonts
  * Fixed #5160: Instant loading makes code annotations jump (9.1.1 regression)
  * Fixed #4920: Social plugin not loading logo from custom icon set
  * Fixed social plugin crashing when only code font is specified

mkdocs-material-9.1.8 (2023-04-24)

  * Fixed #5417: Theme breaks when palette is not defined (9.1.7 regression)

mkdocs-material-9.1.7+insiders-4.32.6 (2023-04-22)

  * Fixed #5336: Interplay of blog plugin with git-revision-date-localized

mkdocs-material-9.1.7 (2023-04-22)

  * Updated Persian (Farsi) and Turkish translations
  * Fixed #5401: Added missing flag to disable built-in tags plugin
  * Fixed #5206: Ensure defaults are set for primary and accent colors
  * Fixed unnecessary inclusion of palette CSS when unused

mkdocs-material-9.1.6+insiders-4.32.5 (2023-04-07)

  * Fixed #5322: Navigation tabs hoist nested page icons

mkdocs-material-9.1.6 (2023-04-07)

  * Updated Persian (Farsi) translations
  * Fixed #5300: Boxes in Mermaid sequence diagrams not color-abiding

mkdocs-material-9.1.5 (2023-03-31)

  * Updated Lithuanian and Japanese translations
  * Updated Mermaid.js to version 9.4.3
  * Fixed #5290: Footer previous/next labels cut-off for short page titles

mkdocs-material-9.1.4+insiders-4.32.4 (2023-03-24)

  * Fixed #5241: Built-in typeset plugin jams navigation for anchors in headings

mkdocs-material-9.1.4 (2023-03-24)

  * Fixed #5239: Instant loading breaks anchors in details (9.1.1 regression)
  * Fixed #5211: Anchor following not working for Chinese (9.1.2 regression)

mkdocs-material-9.1.3 (2023-03-14)

  * Added Kurdish (Soranî) translations
  * Updated Norwegian (Bokmål), Portuguese and Romanian translations
  * Improved compatibility with mkdocs-jupyter plugin
  * Fixed #5198: Built-in search plugin not filtering script and style tags
  * Fixed #5176: Back-to-top + instant loading not working (9.1.1 regression)

mkdocs-material-9.1.2+insiders-4.32.3 (2023-03-09)

  * Fixed Docker image release workflow (9.1.0 regression)
  * Fixed #5159: Missing underline for abbreviations (9.1.0 regression)

mkdocs-material-9.1.2 (2023-03-09)

  * Updated Icelandic, Korean and Swedish translations
  * Fixed #5168: Mermaid text boxes overflow (9.0.13 regression)
  * Fixed #5155: Table of contents not highlighting percent-encoded URLs

mkdocs-material-9.1.1 (2023-03-05)

  * Updated Czech and Thai translations
  * Improved instant loading (scroll restoration, slow connections)
  * Fixed #5023: Instant loading not allowing to go back to initial page
  * Fixed #3797: Instant loading does not work with section anchors in Safari

mkdocs-material-9.1.0+insiders-4.32.2 (2023-03-02)

  * Fixed #5127: Privacy plugin not handling large number of occurrences
  * Fixed #5126: Privacy plugin breaks when replacing specific emojis

mkdocs-material-9.1.0 (2023-03-02)

  * Docker image now available for amd64, arm64 and arm/v7
  * Updated Chinese (Taiwanese) translations
  * Generalized tag identifier implementation
  * Fixed flickering of header shadow on load
  * Fixed occasional flickering of announcement bar

mkdocs-material-9.0.15 (2023-02-26)

  * Updated Chinese (Traditional) translations
  * Updated Hebrew translations

mkdocs-material-9.0.14+insiders-4.32.1 (2023-02-23)

  * Fixed code block spans interfering with copying
  * Fixed #5077: Privacy plugin breaks image alt text encoding
  * Fixed #5079: Privacy plugin removing rel=me on external links

mkdocs-material-9.0.14 (2023-02-23)

  * Fixed #5072: Rendering bug on navigation expand button in Firefox

mkdocs-material-9.0.13+insiders-4.32.0 (2023-02-19)

  * Added support for custom selectors for code annotations
  * Added support for code line range selection for better sharing

mkdocs-material-9.0.13+insiders-4.31.0 (2023-02-18)

  * Added support for table of contents on blog index and archive pages
  * Fixed #4512: Allow custom search field boosts (experimental)

mkdocs-material-9.0.13 (2023-02-18)

  * Updated Uzbek translations
  * Switched back to pre-9.0.0 headline detection in content partial
  * Fixed #5062: Version warning not readable when using slate scheme
  * Fixed #5061: Improved discernibility of table row hover color
  * Fixed #5034: Sequence actors in Mermaid diagrams not color-abiding
  * Fixed #4919: Allow to hide version warning in multiple versions

mkdocs-material-9.0.12+insiders-4.30.2 (2023-02-13)

  * Fixed privacy plugin excludes not working (4.30.0 regression)

mkdocs-material-9.0.12+insiders-4.30.1 (2023-02-12)

  * Fixed privacy plugin not handling static templates e.g. 404.html

mkdocs-material-9.0.12 (2023-02-09)

  * Updated Catalan translations
  * Fixed #4975: Mermaid entity relationship rendering diagrams bug
  * Fixed #4924: Header title not reset when using instant loading

mkdocs-material-9.0.11+insiders-4.30.0 (2023-02-06)

  * Rewrite of privacy plugin for concurrency, now twice as fast
  * Added support for explicit inclusion for privacy plugin
  * Added optimization support for privacy plugin (+ optimize plugin)

mkdocs-material-9.0.11 (2023-02-03)

  * Added Mastodon verification for social links (rel=me)
  * Updated Italian translations

mkdocs-material-9.0.10 (2023-02-02)

  * Updated Arabic translations
  * Updated Korean translations
  * Updated Hungarian translations
  * Updated Russian translations
  * Fixed #4977: Improved accessibility for content tabs
  * Fixed #4960: Sometimes anchor following doesn't bring last item into view

mkdocs-material-9.0.9 (2023-01-30)

  * Updated Bulgarian translations
  * Updated Chinese (Simplified) translations
  * Updated Dutch translations
  * Updated Hindi translations
  * Updated Japanese translations
  * Updated Polish translations

mkdocs-material-9.0.8 (2023-01-29)

  * Updated Croatian translations
  * Updated French translations
  * Updated Hungarian translations
  * Updated Portuguese (Brasilian) translations
  * Updated Spanish translations
  * Updated Ukrainian translations
  * Updated Urdu translations
  * Updated Vietnamese translations

mkdocs-material-9.0.7 (2023-01-28)

  * Improved accessibility of sidebar navigation
  * Moved all translations into Community edition
  * Updated Polish and Portuguese (Brasilian) translations
  * Fixed info plugin terminating on subsequent reload when serving
  * Fixed #4910: Sidebar navigation labels have invalid ARIA roles
  * Fixed #4884: Search query terms can't be separated by colons

mkdocs-material-9.0.6+insiders-4.29.0 (2023-01-21)

  * Added built-in optimize plugin for automatically compressing images
  * Switched reporting in built-in privacy plugin to info level

mkdocs-material-9.0.6 (2023-01-19)

  * Fixed #4883: Automatically disable info plugin when serving
  * Fixed #4885: Search plugin crashes in some exotic cases (9.0.3 regression)

mkdocs-material-9.0.5+insiders-4.28.1 (2023-01-17)

  * Fixed built-in info plugin erroring for Insiders on version check
  * Fixed #4865: Navigation paths render bug when there's no top-level section
  * Fixed #4875: Added support for hiding navigation paths
  * Improved navigation path to not render for a single item

mkdocs-material-9.0.5+insiders-4.28.0 (2023-01-14)

  * Added support for navigation path (breadcrumbs)

mkdocs-material-9.0.5 (2023-01-14)

  * Fixed #4842: Improved accessibility of search result list

mkdocs-material-9.0.4 (2023-01-12)

  * Fixed #4823: Improved contrast ratio in footer (9.0.2 regression)
  * Fixed #4832: Set navigation items back to black (9.0.3 regression)
  * Fixed #4843: Emojis broken due to maxcdn.com shutting down
  * Upgraded Python Markdown Extensions to 9.9.1

mkdocs-material-9.0.3+insiders-4.27.1 (2023-01-08)

  * Fixed rendering of succeeding navigation items in typeset plugin
  * Fixed #4795: Built-in typeset plugin changes MkDocs' title precedence
  * Fixed #4724: Blog plugin not rendering integrate table of contents

mkdocs-material-9.0.3 (2023-01-08)

  * Improved discernibility of section index pages in navigation
  * Improved collapsing of adjacent whitespace in search plugin
  * Updated Indonesian translations
  * Fixed view source of this page button when edit URL points to blob
  * Fixed #4829: Search overlay does not close for active anchor result
  * Fixed #4824: Search plugin crashes for h1-6 contained in other elements
  * Fixed #4804: Nested navigation items not expandable with keyboard
  * Fixed #4689: anchor tracking not working for anchors in tables
  * Upgraded to Mermaid 9.3.0

mkdocs-material-9.0.2 (2023-01-04)

  * Fixed #4823: Improved contrast ratio in footer to meet WCAG guidelines
  * Fixed #4819: Social plugin crashes when card generation is disabled
  * Fixed #4817: Search plugin crashes on numeric page titles in nav

mkdocs-material-9.0.1 (2023-01-03)

  * Removed pipdeptree dependency for built-in info plugin
  * Fixed appearance of linked tags when hovered (9.0.0 regression)
  * Fixed #4810: Abbreviations run out of screen on touch devices
  * Fixed #4813: View source and edit button links are the same

mkdocs-material-9.0.0 (2023-01-02)

  Additions and improvements

  * Added support for rich search previews
  * Added support for tokenizer lookahead
  * Added support for better search highlighting
  * Added support for excluding content from search
  * Added support for configurable search pipeline
  * Added support for offline search via offline plugin
  * Added support for multiple instances of built-in tags plugin
  * Added support for removing copy-to-clipboard button
  * Added support for removing footer navigation
  * Added support for button to view the source of a page
  * Improved readability of query string for search sharing
  * Improved stability of search plugin when using --dirtyreload
  * Improved search result group button, now sticky and stable
  * Updated Norwegian translations
  * Updated MkDocs to 1.4.2

  Removals

  * Removed deprecated alternative admonition qualifiers
  * Removed :is() selectors (in output) for easier overriding
  * Removed .title suffix on translations
  * Removed legacy method for providing page title in feedback URL
  * Removed support for indexing only titles in search
  * Removed support for custom search transforms
  * Removed support for custom search workers
  * Removed temporary snow feature (easter egg)

  Fixes

  * Fixed Norwegian and Korean language code
  * Fixed detection of composition events in search interface
  * Fixed search plugin not using title set via front matter
  * Fixed search highlighting of tags
  * Fixed search sharing URL using post transformed string
  * Fixed theme-color meta tag getting out-of-sync with palette toggle
  * Fixed prev/next page keyboard navigation when footer is not present
  * Fixed overflowing navigation tabs not being scrollable
  * Fixed inclusion of code block line numbers from search

mkdocs-material-8.5.11+insiders-4.27.0 (2022-12-20)

  * Added built-in typeset plugin to preserve formatting in sidebars
  * Added URL and table of contents support for blog categories

mkdocs-material-8.5.11 (2022-11-30)

  * Let it snow, see https://x.com/squidfunk/status/1597939243090788352

mkdocs-material-8.5.10+insiders-4.26.6 (2022-11-28)

  * Fixed #4683: Tags plugin crashes when a tag is empty

mkdocs-material-8.5.10+insiders-4.26.5 (2022-11-27)

  * Fixed #4632: Post excerpt title link doesn't point to top of the page

mkdocs-material-8.5.10+insiders-4.26.4 (2022-11-27)

  * Fixed redundant file extension when using privacy plugin

mkdocs-material-8.5.10+insiders-4.26.3 (2022-11-15)

  * Fixed #4637: Attachments w/o titles in related links error in blog plugin
  * Fixed #4631: Remote favicons not downloaded and inlined by privacy plugin

mkdocs-material-8.5.10 (2022-11-11)

  * Adjusted CSS to better allow for custom primary and accent colors
  * Fixed #4620: Primary color is not applied (8.5.9 regression)

mkdocs-material-8.5.9 (2022-11-08)

  * Fixed #4600: Illegible link colors for black and white primary colors
  * Fixed #4594: Need to set schema to change link color

mkdocs-material-8.5.8+insiders-4.26.2 (2022-11-03)

  * Updated MkDocs to 1.4.2
  * Added support for tag compare functions when sorting on index pages
  * Fixed footnotes being rendered in post excerpts without separators
  * Fixed error in blog plugin when toc extension is not enabled
  * Fixed issues with invalid asset paths and linked post titles
  * Fixed #4572: Privacy plugin fails when symlinks cannot be created
  * Fixed #4545: Blog plugin doesn't automatically link headline to post
  * Fixed #4542: Blog plugin doesn't allow for multiple instances
  * Fixed #4532: Blog plugin doesn't allow for mixed use of date and datetime

mkdocs-material-8.5.8 (2022-11-03)

  * Added support for always showing settings in cookie consent
  * Fixed #4571: Buttons invisible if primary color is white or black
  * Fixed #4517: Illegible note in sequence diagram when using slate scheme

mkdocs-material-8.5.7+insiders-4.26.1 (2022-10-22)

  * Improved reporting of configuration errors in tags plugin
  * Fixed #4515: Privacy plugin fails when site URL is not defined
  * Fixed #4514: Privacy plugin doesn't fetch Google fonts (4.26.0 regression)

mkdocs-material-8.5.7 (2022-10-22)

  * Deprecated additional admonition qualifiers to reduce size of CSS
  * Fixed #4511: Search boost does not apply to sections

mkdocs-material-8.5.6+insiders-4.26.0 (2022-10-18)

  * Refactored privacy plugin to prepare for new features
  * Added support for rel=noopener links in privacy plugin
  * Resolve encoding issues with blog and privacy plugin

mkdocs-material-8.5.6+insiders-4.25.5 (2022-10-16)

  * Updated MkDocs to 1.4.1
  * Added namespace prefix to built-in plugins
  * Updated content and header partial

mkdocs-material-8.5.6+insiders-4.25.4 (2022-10-09)

  * Fixed other path issues for standalone blogs (4.24.2 regression)

mkdocs-material-8.5.6+insiders-4.25.3 (2022-10-09)

  * Fixed #4457: Posts not collected for standalone blog (4.24.2 regression)

mkdocs-material-8.5.6+insiders-4.25.2 (2022-10-04)

  * Fixed #4452: Blog and tags plugin crash when specifying slugify function

mkdocs-material-8.5.6+insiders-4.25.1 (2022-10-03)

  * Updated mkdocs-rss-plugin in Dockerfile to fix MkDocs compat errors

mkdocs-material-8.5.6+insiders-4.25.0 (2022-10-02)

  * Added support for navigation subtitles
  * Added support for defining an allow list for built-in tags plugin
  * Added support for custom slugify functions for built-in tags plugin
  * Improved stability of search plugin when using --dirtyreload

mkdocs-material-8.5.6 (2022-10-02)

  * Modernized appearance of admonitions (with fallback, see docs)
  * Improved appearance of inline code blocks in admonition titles

mkdocs-material-8.5.5+insiders-4.24.2 (2022-10-01)

  * Updated MkDocs to 1.4
  * Fixed compatibility issues with MkDocs 1.4
  * Fixed incorrectly generated paths in privacy plugin
  * Fixed blog index page not showing navigation when using meta plugin

mkdocs-material-8.5.5 (2022-10-01)

  * Updated MkDocs to 1.4
  * Fixed compatibility issues with MkDocs 1.4
  * Fixed #4430: build error when enabling consent without repository URL

mkdocs-material-8.5.4+insiders-4.24.1 (2022-09-30)

  * Fixed #4430: build error when enabling consent without repository URL

mkdocs-material-8.5.4 (2022-09-30)

  * Fixed expand icons shift on sidebar overflow (using scrollbar-gutter)
  * Fixed #4429: Text in sequence diagrams overflows in Firefox

mkdocs-material-8.5.3+insiders-4.24.0 (2022-09-27)

  * Added support for custom content on index pages (blog)
  * Added support for keeping content on paginated index pages (blog)
  * Added support for limiting categories in post excerpts (blog)
  * Added support for simple override of templates via front matter (blog)
  * Added icon in navigation for pages with encrypted content
  * Fixed #4396: Front matter of index pages not inherited by pagination (blog)
  * Improved performance by building post excerpts once (blog)

mkdocs-material-8.5.3+insiders-4.23.6 (2022-09-22)

  * Fixed #4389: Blog posts in first week of year in wrong archive
  * Fixed (= switched) footer previous and next links for blog posts

mkdocs-material-8.5.3 (2022-09-20)

  * Fixed build error when enabling cookie consent without analytics
  * Fixed #4381: Code blocks render ligatures for some fonts

mkdocs-material-8.5.2+insiders-4.23.5 (2022-09-18)

  * Fixed #4367: Improved blog plugin date handling for MultiMarkdown syntax
  * Fixed #4374: Fixed invalid URLs of related links to other blog posts

mkdocs-material-8.5.2 (2022-09-18)

  * Updated Mermaid.js to version 9.1.7
  * Fixed overly large headlines in search results (8.5.0 regression)
  * Fixed #4358: Navigation sections appear as clickable (8.5.0 regression)
  * Fixed #4356: GitHub repository statistics fetched before cookie consent

mkdocs-material-8.5.1 (2022-09-15)

  * Fixed #4366: Removed dependencies with native extensions

mkdocs-material-8.5.0+insiders-4.23.4 (2022-09-14)

  * Fixed #4365: Recursion error in blog plugin due to deepcopy
  * Fixed path errors for blog plugin on Windows
  * Fixed publishing workflow in forked repositories

mkdocs-material-8.5.0+insiders-4.23.3 (2022-09-13)

  * Fixed previous and next page links for drafts of blog posts

mkdocs-material-8.5.0 (2022-09-13)

  * Added support for social cards
  * Added support for code annotation anchor links (deep linking)
  * Added support for code annotation comment stripping (syntax modifier)
  * Added support for sidebars scrolling automatically to active item
  * Added support for anchor following table of contents (= auto scroll)
  * Added support for tag icons

mkdocs-material-8.4.4+insiders-4.23.2 (2022-09-13)

  * Fixed #4348: Blog plugin crashes on custom nav title
  * Fixed blog plugin crashing when category contained only drafts
  * Fixed rendering of content from blog index file

mkdocs-material-8.4.4+insiders-4.23.1 (2022-09-12)

  * Fixed #4345: Blog plugin errors with default settings

mkdocs-material-8.4.4+insiders-4.23.0 (2022-09-12)

  * Added blogging support via built-in blog plugin

mkdocs-material-8.4.4 (2022-09-12)

  * Moved comments integration to separate partial (comments.html)

mkdocs-material-8.4.3+insiders-4.22.1 (2022-09-07)

  * Fixed #4217: Tooltips in data tables render in wrong position

mkdocs-material-8.4.3 (2022-09-07)

  * Added Simple Icons to bundled icons (+2,300 icons)
  * Added support for changing edit icon
  * Moved page actions to separate partial (actions.html)
  * Fixed #4291: Version switching doesn't stay on page when anchors are used
  * Fixed #4327: Links in data tables do not receive link styling

mkdocs-material-8.4.2 (2022-08-27)

  * Updated Slovenian translations
  * Fixed #4277: Feedback widget hidden after navigation with instant loading
  * Fixed numeric tags in front matter breaking search functionality

mkdocs-material-8.4.1+insiders-4.22.0 (2022-08-21)

  * Added support for navigation status

mkdocs-material-8.4.1 (2022-08-21)

  * Updated Croatian and Hebrew translations

mkdocs-material-8.4.0+insiders-4.21.1 (2022-08-13)

  * Fixed #4176: Broken image when avatar is served by Gravatar
  * Fixed #4212: Deferred search initialization for file:// locations

mkdocs-material-8.4.0 (2022-08-13)

  * Added support for cookie consent
  * Added support for feedback widget (Was this page helpful?)
  * Added support for dismissible announcement bar
  * Added Armenian, Lithuanian, Tagalog, and Urdu translations

mkdocs-material-8.3.9+insiders-4.21.0 (2022-07-17)

  * Added meta plugin: set front matter for all pages in a folder
  * Fixed #4114: Tags plugin fails if only tags_extra_files is set

mkdocs-material-8.3.9+insiders-4.20.1 (2022-07-11)

  * Fixed #4105: Tags plugin fails if tags_file is not set (4.20.0 regression)

mkdocs-material-8.3.9+insiders-4.20.0 (2022-07-07)

  * Added support for additional tags indexes
  * Fixed #4100: Tag icons not shown in tags index

mkdocs-material-8.3.9+insiders-4.19.2 (2022-07-04)

  * Fixed #4051: Privacy plugin fails if symlinking isn't allowed on Windows

mkdocs-material-8.3.9 (2022-07-04)

  * Updated Taiwanese translations for search
  * Allow ids for content tabs with special characters (for mkdocstrings)
  * Fixed #4083: home not clickable when using versioning (8.3.5 regression)

mkdocs-material-8.3.8+insiders-4.19.1 (2022-06-25)

  * Added mkdocs-git-committers-plugin to Dockerfile
  * Added mkdocs-git-revision-date-localized-plugin to Dockerfile

mkdocs-material-8.3.8+insiders-4.19.0 (2022-06-24)

  * Added support for document contributors
  * Updated French translations for cookie consent

mkdocs-material-8.3.8 (2022-06-24)

  * Fixed #4053: Limit width of videos to content area
  * Fixed empty tags in front matter breaking search

mkdocs-material-8.3.7 (2022-06-22)

  * Fixed search being stuck initializing when using tags (8.3.4 regression)

mkdocs-material-8.3.6+insiders-4.18.2 (2022-06-16)

  * Fixed #4026: Fixed tooltips not mounted for nested navigation links

mkdocs-material-8.3.6 (2022-06-16)

  * Fixed #4028: Links not clickable when using versioning (8.3.5 regression)

mkdocs-material-8.3.5+insiders-4.18.1 (2022-06-14)

  * Fixed #3990: Chinese search highlighting not working on non-boundaries

mkdocs-material-8.3.5 (2022-06-14)

  * Fixed #4012: Stay on page not working for alias of active version

mkdocs-material-8.3.4+insiders-4.18.0 (2022-06-11)

  * Added support for automatic dark/light mode
  * Fixed #4009: Privacy plugin uses invalid paths for file cache on Windows

mkdocs-material-8.3.4 (2022-06-11)

  * Fixed #4004: Tags with multiple words not searchable

mkdocs-material-8.3.3 (2022-06-07)

  * Fixed #4000: Mermaid diagrams too dark in dark mode (8.3.0 regression)

mkdocs-material-8.3.2+insiders-4.17.2 (2022-06-05)

  * Added support for custom jieba dictionaries (Chinese search)

mkdocs-material-8.3.2+insiders-4.17.1 (2022-06-05)

  * Added support for cookie consent reject button
  * Added support for cookie consent custom button ordering
  * Fixed #3988: Content tab not focused after alternating anchor links

mkdocs-material-8.3.2 (2022-06-05)

  * Fixed #3987: Custom admonition icons don't work when defining color palette

mkdocs-material-8.3.1+insiders-4.17.0 (2022-06-04)

  * Added support for content tabs anchor links (deep linking)
  * Fixed #3975: Detect composition events in search interface (Chinese)
  * Fixed #3980: Search plugin doesn't use title set via front matter

mkdocs-material-8.3.1 (2022-06-04)

  * Bump required Jinja version to 3.0.2
  * Removed unnecessary conditions in templates
  * Fixed scroll offset when content tabs are brought into view
  * Fixed #3977: Content tabs snapping oddly in Firefox
  * Fixed #3983: Missing condition in footer partial (8.3.0 regression)

mkdocs-material-8.3.0 (2022-06-02)

  * Added support for custom admonition icons
  * Added support for linking of content tabs
  * Added support for boosting pages in search
  * Added support for hiding footer navigation
  * Added previous/next indicators to content tabs
  * Improved typeset link colors in light and dark modes

mkdocs-material-8.2.16+insiders-4.16.2 (2022-05-28)

  * Fixed #3961: Nested sections triggered build error for navigation tabs

mkdocs-material-8.2.16+insiders-4.16.1 (2022-05-28)

  * Switched feedback widget rating titles to tooltips
  * Improved contrast of link colors for light/dark color schemes
  * Fixed #3950: Sticky navigation tabs rendering broken (4.15.2 regression)
  * Fixed #3958: Links invisible when using white primary color

mkdocs-material-8.2.16 (2022-05-28)

  * Fixed #3957: Only animate code annotations when visible (save CPU cycles)

mkdocs-material-8.2.15+insiders-4.16.0 (2022-05-25)

  * Added support for navigation pruning
  * Fixed search results for non-segmented characters (4.15.2 regression)

mkdocs-material-8.2.15+insiders-4.15.2 (2022-05-22)

  * Removed workaround for abbr on touch devices (superseded by tooltips)
  * Fixed #3915: Improved Chinese search query segmentation
  * Fixed #3938: Fixed tooltips position for navigation titles with ellipsis

mkdocs-material-8.2.15+insiders-4.15.1 (2022-05-14)

  * Improved performance of element focus observables
  * Fixed #3531: Added prev/next buttons to content tabs
  * Fixed tooltip positioning when host element is hidden

mkdocs-material-8.2.15 (2022-05-14)

  * Added Uzbek translations
  * Fixed spacing for code block results in content tabs

mkdocs-material-8.2.14+insiders-4.15.0 (2022-05-08)

  * Added support for improved tooltips
  * Fixed #3785: Show tooltip on hover for overflowing navigation link

mkdocs-material-8.2.14 (2022-05-08)

  * Fixed missing top right rounded border on admonition
  * Fixed #3886: 4xx status codes not handled when using instant loading

mkdocs-material-8.2.13+insiders-4.14.0 (2022-05-05)

  * Added Chinese language support to built-in search plugin
  * Fixed all-numeric page titles raising error in social plugin

mkdocs-material-8.2.13 (2022-05-02)

  * Fixed #3865: Tags index links to tagged pages 404 on Windows
  * Fixed #3866: Bump required Python version from 3.6+ to 3.7+

mkdocs-material-8.2.12+insiders-4.13.2 (2022-04-30)

  * Improved caching of downloaded resources in privacy plugin
  * Fixed #3851: External images not downloaded by privacy plugin

mkdocs-material-8.2.12 (2022-04-30)

  * Added support for GitHub-style hash fragments for dark/light images
  * Improved rendering of nested code blocks in content tabs and annotations
  * Fixed #3862: Upgraded to latest Pygments and Python Markdown Extensions

mkdocs-material-8.2.11+insiders-4.13.1 (2022-04-25)

  * Fixed #3839: Tags plugin breaks without icons (4.13.0 regression)

mkdocs-material-8.2.11 (2022-04-25)

  * Temporarily pinned Pygments to <2.12
  * Temporarily pinned Python Markdown Extensions to <9.4
  * Improved rendering of code annotation markers

mkdocs-material-8.2.10+insiders-4.13.0 (2022-04-24)

  * Added support for tag icons

mkdocs-material-8.2.10 (2022-04-24)

  * Added Macedonian translations
  * Updated Mermaid.js to version 9.0.1
  * Switched sidebar title in mobile navigation to bold font
  * Fixed color of arrows in class and state diagrams for dark mode
  * Fixed #3836: Inline admonitions overlayed by code block titles

mkdocs-material-8.2.9 (2022-04-08)

  * Mitigate flicker on color palette switch by disabling all transitions
  * Fixed search suggestions not triggered when following deep link
  * Fixed incorrectly computed header height when using instant loading
  * Fixed #3782: Admonition titles have extra pixels on wide screens in Firefox
  * Fixed #3802: Always render table of contents container (except when hidden)

mkdocs-material-8.2.8+insiders-4.12.0 (2022-03-27)

  * Added support for card grids and grid layouts
  * Fixed #3685: Annotations sometimes broken when using instant loading
  * Fixed #3742: Automatically add Mermaid.js when building for offline usage

mkdocs-material-8.2.8 (2022-03-27)

  * Bumped MkDocs version to 1.3.0 to mitigate breaking changes in Jinja
  * Reverted Jinja version range limitation (added in 8.2.7)
  * Improved styling of annotations and fixed borders of code blocks in tabs
  * Added background color to code blocks in focused/hovered links
  * Added check in tags plugin whether tags overview page exists
  * Fixed #3744: Content tab indicator on wrong position when using back button

mkdocs-material-8.2.7 (2022-03-24)

  * Temporarily limit Jinja version range to < 3.1 due to breaking changes

mkdocs-material-8.2.6 (2022-03-23)

  * Fixed #3695: Deprecation warning for unescaped backslashes in templates
  * Fixed #3696: Annotations not mounted in some Terraform code blocks
  * Fixed #3698: Annotations not mounted in long code blocks (8.2.5 regression)

mkdocs-material-8.2.5+insiders-4.11.0 (2022-03-06)

  * Added support for excluding external assets from privacy plugin

mkdocs-material-8.2.5 (2022-03-06)

  * Fixed #3596: Mermaid not working when headline with name 'Mermaid' present
  * Fixed #3643: Reduce time to render pages with thousands of code blocks
  * Fixed #3665: Missing styles for Mermaid.js flowcharts cluster labels

mkdocs-material-8.2.4+insiders-4.10.1 (2022-03-02)

  * Added missing build dependencies to Dockerfile
  * Fixed encoding issues in privacy plugin, now forcing UTF-8 encoding
  * Fixed #3624: Scroll to active navigation item unreliable in Firefox
  * Fixed #3642: Privacy plugin errors when font setting was omitted

mkdocs-material-8.2.4 (2022-03-02)

  * Fixed malformed Google Fonts URL when a font setting was omitted
  * Fixed #3648: Fixed specificity issue with admonitions in lists
  * Fixed #3653: Invalid outdated version banner URL when using instant loading

mkdocs-material-8.2.3+insiders-4.10.0 (2022-02-27)

  * Added support for offline plugin (supersedes offline search support)
  * Improved built-in privacy plugin to download nested JavaScript assets
  * Refactored configuration of built-in privacy plugin

mkdocs-material-8.2.3 (2022-02-27)

  * Fixed #3578: Active element in table of contents off-by-one on large screens

mkdocs-material-8.2.2 (2022-02-26)

  * Added automatic removal of query parameter when search is closed
  * Fixed #3599: Anchors always overridden when using navigation tracking

mkdocs-material-8.2.1+insiders-4.9.1 (2022-02-21)

  * Fixed #3610: missing lxml dependency for privacy plugin
  * Fixed error when charset is missing in content-type header

mkdocs-material-8.2.1+insiders-4.9.0 (2022-02-20)

  * Added privacy plugin: automatic downloading of external assets

mkdocs-material-8.2.1 (2022-02-17)

  * Fixed module 'material.plugins' not being found (8.2.0 regression)

mkdocs-material-8.2.0 (2022-02-17)

  * Added native support for Mermaid.js diagrams
  * Added native support for tags (with search integration)
  * Added support for staying on page when switching versions

mkdocs-material-8.1.11+insiders-4.8.3 (2022-02-13)

  * Fixed #3560: Mermaid diagrams don't render for file:// locations

mkdocs-material-8.1.11+insiders-4.8.2 (2022-02-10)

  * Fixed #3559: Mermaid diagrams don't render inside closed details

mkdocs-material-8.1.11 (2022-02-10)

  * Added Portuguese (Brasilian) translations
  * Updated FontAwesome to v6 (might lead to missing icons)
  * Fixed #3545: Color palette toggle and search overlaying version selector

mkdocs-material-8.1.10+insiders-4.8.1 (2022-02-06)

  * Fixed jump back to top on mobile when using anchor following

mkdocs-material-8.1.10+insiders-4.8.0 (2022-02-06)

  * Added support for anchor following table of contents (= auto scroll)

mkdocs-material-8.1.10 (2022-02-06)

  * Fixed cutoff of very wide logos in the sidebar on mobile

mkdocs-material-8.1.9+insiders-4.7.2 (2022-02-02)

  * Fixed #3526: Transparent sidebar title due to Safari bug
  * Fixed #3528: Firefox sometimes clips text in flow chart diagrams

mkdocs-material-8.1.9+insiders-4.7.1 (2022-01-30)

  * Fixed #3506: Tags index not respecting title set via front matter

mkdocs-material-8.1.9 (2022-01-30)

  * Added support for mkdocs.yml validation and auto-complete
  * Fixed errors in Latvian translations

mkdocs-material-8.1.8+insiders-4.7.0 (2022-01-25)

  * Added native support for offline search

mkdocs-material-8.1.8 (2022-01-23)

  * Added Latvian translations
  * Updated Giscus example integration with dynamic theme change support
  * Fixed #3479: Back-to-top button not hidden when using sticky navigation tabs
  * Fixed #3491: Logo in header and drawer doesn't honor aspect ratio

mkdocs-material-8.1.7+insiders-4.6.1 (2022-01-16)

  * Fixed #3459: Section index pages picking up wrong title

mkdocs-material-8.1.7 (2022-01-16)

  * Improved back-to-top button behavior - now not shown on anchor jump

mkdocs-material-8.1.6-insiders-4.6.0 (2022-01-11)

  * Added support for annotations (outside of code blocks)

mkdocs-material-8.1.6 (2022-01-11)

  * Fixed spacing of blockquotes (8.1.5 regression)
  * Fixed edge cases for rounded corners on code blocks (8.1.5 regression)
  * Fixed rendering issues with code annotation line heights

mkdocs-material-8.1.5 (2022-01-09)

  * Improved browser support: Chrome 49+, Safari 10+, Firefox 53+, Edge 79+
  * Improved rendering of inline code blocks in headlines
  * Added Bahasa Malaysian translations
  * Fixed #3354: MathJax formulas show vertical scrollbar

mkdocs-material-8.1.4+insiders-4.5.2 (2022-01-08)

  * Fixed #3440: Content tab indicator not moving when using linking
  * Fixed #3445: Content tab switch flickers/jitters when using linking

mkdocs-material-8.1.4+insiders-4.5.1 (2022-01-02)

  * Added support for setting initial state of cookie consent
  * Fixed #3396: Disappearing link in navigation due to Safari bug

mkdocs-material-8.1.4 (2022-01-02)

  * Added indicator to navigation expander icon
  * Improved support for reduced motion preference
  * Fixed jitter of active content tab indicator

mkdocs-material-8.1.3 (2021-12-19)

  * Added animation to active content tab indicator
  * Fixed #3360: Highlighted lines add blank lines in copied text
  * Fixed usage of subsequent index files when using section index pages

mkdocs-material-8.1.2+insiders-4.5.0 (2021-12-16)

  * Added support for navigation icons

mkdocs-material-8.1.2 (2021-12-15)

  * Switched CSS sources to logical properties
  * Added transformation of logical properties to ltr/rtl equivalents
  * Fixed spacing for admonitions inside lists (8.1.1 regression)

mkdocs-material-8.1.1 (2021-12-13)

  * Added support for #only-light and #only-dark image hash fragments
  * Fixed copy-to-clipboard adding blank lines when using line anchors
  * Fixed code annotation directionality for right-to-left languages
  * Fixed header title positioning for right-to-left languages
  * Fixed admonition borders for right-to-left languages (8.0.0 regression)
  * Fixed footer navigation link positioning (8.0.0 regression)
  * Fixed footer navigation title breaking out of container when too long
  * Fixed shrinking arrow in navigation title when too long
  * Fixed #3343: Filtered stopwords appear as missing search terms
  * Fixed #3346: Site unusable due to usage of :not() (Firefox 78 ESR)

mkdocs-material-8.1.0+insiders-4.4.0 (2021-12-10)

  * Added support for code annotation anchor links (deep linking)
  * Added new code annotation syntax modifier to strip comment
  * Updated German translations for cookie consent

mkdocs-material-8.1.0 (2021-12-10)

  * Added basic support for code block line anchors
  * Switched code annotation markers to + signs to improve usability
  * Switched main site title to bold font
  * Improved admonition icon positioning to align when font-size is increased
  * Improved and simplified footnotes CSS
  * Improved and simplified code annotation positioning
  * Fixed syntax error in Russian translations

mkdocs-material-8.0.5 (2021-12-04)

  * Fixed #3302: Footer refactoring induced ellipsis in some browsers
  * Fixed #3313: Details always rendered closed on load (8.0.4 regression)

mkdocs-material-8.0.4+insiders-4.3.0 (2021-12-05)

  * Added support for custom fonts in social cards
  * Fixed #3300: Announcement bar reappearing when using instant loading

mkdocs-material-8.0.4 (2021-12-04)

  * Improved support for deeply nested code annotations
  * Improved code annotation and copy-to-clipboard interop
  * Improved styling for code annotations inside admonitions
  * Fixed #3274: Invalid anchor positioning when using instant loading
  * Fixed #3294: Lists after code blocks without code annotations disappearing
  * Fixed several positioning issues for code annotations
  * Fixed JavaScript source map roots

mkdocs-material-8.0.3+insiders-4.2.0 (2021-12-02)

  * Added support for dismissible announcement bar
  * Added support for named placeholders in feedback widget

mkdocs-material-8.0.3 (2021-12-02)

  * Removed deprecated google_analytics setting (was forgotten in 8.0.0)
  * Fixed syntax error in Swedish and Polish translations
  * Fixed #3283: Invalid back-to-top button position with sticky navigation tabs
  * Fixed #3285: Default details marker showing due to Safari bug

mkdocs-material-8.0.2+insiders-4.1.0 (2021-11-30)

  * Added support for passing page title to feedback forms

mkdocs-material-8.0.2 (2021-11-30)

  * Fixed #3275: Code annotations always disappear on click

mkdocs-material-8.0.1 (2021-11-28)

  * Improved rendering of code annotation markers
  * Fixed #3265: Wrong margin on nested admonitions
  * Fixed wrong box-sizing for code annotations in details

mkdocs-material-8.0.0 (2021-11-28)

  * Added support for code annotations
  * Added support for anchor tracking
  * Added support for version warning
  * Added copyright partial for easier override
  * Removed deprecated content tabs legacy implementation
  * Removed deprecated seealso admonition type
  * Removed deprecated site_keywords setting (unsupported by MkDocs)
  * Removed deprecated prebuilt search index support
  * Removed deprecated web app manifest – use customization
  * Removed extracopyright variable – use new copyright partial
  * Removed Disqus integration – use customization
  * Switched to :is() selectors for simple selector lists
  * Switched autoprefixer from last 4 years to last 2 years
  * Improved CSS overall to match modern standards
  * Improved CSS variable semantics for fonts
  * Improved extensibility by restructuring partials
  * Improved handling of details when printing
  * Improved keyboard navigation for footnotes
  * Fixed #3214: Search highlighting breaks site when empty

mkdocs-material-7.3.6+insiders-3.2.3 (2021-11-20)

  * Updated Swedish and French translations
  * Removed support for .mermaid-experimental class (now .mermaid)
  * Fixed #3202: Cookie consent not dismissible on file:// locations
  * Fixed #3216: Cookie consent not dismissed when invoked via anchor
  * Fixed #3232: Mermaid.js sometimes runs twice (race condition)

mkdocs-material-7.3.6+insiders-3.2.2 (2021-11-06)

  * Fixed always last feedback rating being sent
  * Fixed #3145: Code annotations eat whole comment lines
  * Fixed #3170: Feedback widget doesn't send data to GA4

mkdocs-material-7.3.6+insiders-3.2.1 (2021-11-04)

  * Added support for custom Mermaid.js version via additional JavaScript
  * Fixed some configuration edge cases for tags plugin (3.1.5 regression)
  * Fixed feedback widget title not being centered in Firefox
  * Fixed #3179: Safari doesn't send request for feedback widget

mkdocs-material-7.3.6+insiders-3.2.0 (2021-10-31)

  * Added support for feedback widget (Was this page helpful?)

mkdocs-material-7.3.6 (2021-10-30)

  * Added support for adding titles to code blocks

mkdocs-material-7.3.5+insiders-3.1.5 (2021-10-28)

  * Fixed #3144: Rogue link when using tags with auto-populated navigation
  * Fixed #3147: Code block line numbers appear in search results
  * Fixed #3158: Social cards do not strip HTML tags from title

mkdocs-material-7.3.5 (2021-10-27)

  * Added support for setting table of contents title via mkdocs.yml
  * Fixed back-to-top button position for right-to-left languages

mkdocs-material-7.3.4+insiders-3.1.4 (2021-10-17)

  * Fixed #2974: Text cropped with other fonts than Roboto in social plugin
  * Fixed #3099: Encoding problems with non-latin character in social plugin
  * Fixed #3112: Japanese segmenter not executed as part of new tokenizer
  * Fixed tags (front matter) appearing in search with disabled tags plugin

mkdocs-material-7.3.4 (2021-10-17)

  * Bumped MkDocs version to 1.2.3 to mitigate CVE-2021-40978
  * Fixed spacing issues when using integrate table of contents with tabs
  * Fixed some spacings issues for right-to-left languages
  * Fixed race condition in search initialization

mkdocs-material-7.3.3+insiders-3.1.3 (2021-10-12)

  * Added warnings to search plugin for unsupported options and syntax
  * Fixed #3503: Search sometimes returns entire page
  * Fixed #3089: Single-line code annotations disappear when printing

mkdocs-material-7.3.3 (2021-10-11)

  * Rewrite of entire documentation
  * Adjusted height of new content tabs to match single line code blocks
  * Fixed new content tabs missing right padding in some browsers on overflow
  * Fixed new content tabs bleeding out of flex container on overflow
  * Fixed new content tabs overflow scrolling bugs on some browsers
  * Fixed new content tabs stealing keyboard access when active
  * Fixed some spacings issues for right-to-left languages

mkdocs-material-7.3.2+insiders-3.1.2 (2021-10-06)

  * Fixed incorrect path separators for social cards on Windows

mkdocs-material-7.3.2 (2021-10-06)

  * Deprecated prebuilding of search index
  * Improved graceful handling of broken search for file://
  * Added minimum Jinja version to list of requirements
  * Fixed #3071: Section index pages render empty directories
  * Fixed margin issues when using navigation tabs (7.3.1 regression)
  * Fixed search placeholder sometimes being shown too early

mkdocs-material-7.3.1 (2021-10-02)

  * Added new experimental content tabs implementation
  * Fixed #3069: GitHub stats broken for users/orgs (7.1.0 regression)
  * Fixed #3070: Sections not linking to index page
  * Fixed title not linking to index page when using tabs
  * Fixed Disqus integration when using instant loading
  * Fixed some spacing issues for right-to-left languages
  * Fixed syntax error in Serbian translations

mkdocs-material-7.3.0+insiders-3.1.1 (2021-09-26)

  * Fixed ordering bug in search exclusion logic

mkdocs-material-7.3.0+insiders-3.1.0 (2021-09-26)

  * Added support for excluding pages, sections, and elements from search
  * Fixed #2803: Code block annotations not visible when printing

mkdocs-material-7.3.0 (2021-09-23)

  * Added support for sticky navigation tabs
  * Added support for section index pages
  * Added support for removing generator notice

mkdocs-material-7.2.8 (2021-09-20)

  * Fixed #3039: Search modal overlays menu on mobile (7.2.7 regression)

mkdocs-material-7.2.7+insiders-3.0.1 (2021-09-19)

  * Added support for using literal h1-6 tags for search plugin
  * Fixed search plugin breaking on void elements without slashes
  * Fixed search plugin filtering link contents from headlines
  * Fixed search plugin handling of multiple h1 headlines
  * Fixed search plugin handling of missing h1 headlines

mkdocs-material-7.2.7 (2021-09-19)

  * Updated Serbian and Serbo-Croatian translations
  * Improved appearance of outline on details
  * Fixed #2934: Scrollbar when header is hidden on some mobile browsers
  * Fixed #3032: Anchor in details doesn't open on load (7.0.0 regression)
  * Fixed back-to-top button being focusable when invisible
  * Fixed broken admonition icons (removed in upstream)

mkdocs-material-7.2.6+insiders-3.0.0 (2021-09-13)

  * Rewrite of MkDocs' search plugin
  * Added support for rich search previews
  * Added support for tokenizer with lookahead
  * Improved search indexing performance (twice as fast)
  * Improved search highlighting

mkdocs-material-7.2.6+insiders-2.13.3 (2021-09-01)

  * Added support for disabling social card generation

mkdocs-material-7.2.6 (2021-09-01)

  * Fixed rendering of blockquote elements (7.0.0 regression)
  * Fixed #2973: Custom search worker setting ignored

mkdocs-material-7.2.5+insiders-2.13.2 (2021-08-25)

  * Fixed #2965: Social plugin error when primary color is not defined

mkdocs-material-7.2.5 (2021-08-25)

  * Updated Portuguese translations
  * Fixed execution of RxJS teardown logic (7.2.3 regression)
  * Fixed #2970: Search results show escaped characters (7.2.2 regression)

mkdocs-material-7.2.4+insiders-2.13.1 (2021-08-22)

  * Fixed #2948: Social cards are not cached
  * Fixed #2953: Mermaid.js diagrams can't be centered anymore

mkdocs-material-7.2.4 (2021-08-11)

  * Fixed #2926: Version selector not working (7.2.3 regression)
  * Fixed #2929: Missing CSS class for banner (consistency with Insiders)

mkdocs-material-7.2.3 (2021-08-09)

  * Slight facelift of data tables, now closer to Material Design
  * Fixed instant loading not respecting clicks on search results
  * Fixed #2881: Invalid anchor offsets when using instant loading

mkdocs-material-7.2.2+insiders-2.13.0 (2021-08-07)

  * Added support for custom colors in social cards

mkdocs-material-7.2.2+insiders-2.12.2 (2021-08-04)

  * Fixed #2891: Division by zero error in social plugin

mkdocs-material-7.2.2 (2021-07-31)

  * Updated Korean translations
  * Fixed #2879: Search highlighting does not properly escape HTML

mkdocs-material-7.2.1+insiders-2.12.1 (2021-07-26)

  * Fixed error in social plugin when site_description was not set
  * Fixed error in social plugin for non-ASCII characters

mkdocs-material-7.2.1+insiders-2.12.0 (2021-07-25)

  * Added support for social cards

mkdocs-material-7.2.1 (2021-07-25)

  * Fixed #2862: Back-to-top button overlays active search bar

mkdocs-material-7.2.0 (2021-07-21)

  * Added support for search suggestions to save keystrokes
  * Added support for search highlighting
  * Added support for search sharing (i.e. deep linking)

mkdocs-material-7.1.11+insiders-2.11.1 (2021-07-20)

  * Fixed order of tags index, now sorted alphabetically

mkdocs-material-7.1.11+insiders-2.11.0 (2021-07-18)

  * Improved Mermaid.js integration, now stable
  * Added support for sequence diagrams
  * Added support for entity relationship diagrams
  * Added support for cookie consent configuration
  * Added feature flag to always enable annotations

mkdocs-material-7.1.11 (2021-07-18)

  * Updated Spanish and Galician translations

mkdocs-material-7.1.10+insiders-2.10.0 (2021-07-10)

  * Added support for cookie consent
  * Fixed #2807: Back-to-top button not hidden when using sticky tabs

mkdocs-material-7.1.10 (2021-07-10)

  * Refactored appearance of back-to-top button
  * Fixed graceful handling of search when browsing locally

mkdocs-material-7.1.9 (2021-06-25)

  * Improved search language support for Thai and Hindi
  * Fixed #2761: License comments lined up at end of file

mkdocs-material-7.1.8 (2021-06-12)

  * Refactored analytics integration (because of MkDocs 1.2)
  * Added support for Google Analytics 4 (gtag.js)
  * Fixed missing escape for aria-label in footer links

mkdocs-material-7.1.7 (2021-06-06)

  * Improved screen reader support

mkdocs-material-7.1.6+insiders-2.9.2 (2021-05-30)

  * Moved tags to partial for easier customization
  * Added support for hiding tags on any page

mkdocs-material-7.1.6 (2021-05-30)

  * Deprecated seealso admonition qualifier
  * Added Mongolian and updated Chinese translations
  * Fixed #2429: Version selector not touch-friendly on Android devices
  * Fixed #2703: Printed 'Initializing search' albeit ready on mobile

mkdocs-material-7.1.5+insiders-2.9.1 (2021-05-24)

  * Added missing guard for linking of content tabs

mkdocs-material-7.1.5+insiders-2.9.0 (2021-05-23)

  * Added support for linking of content tabs

mkdocs-material-7.1.5 (2021-05-19)

  * Fixed #2655: Details breaking page margins on print

mkdocs-material-7.1.4+insiders-2.8.0 (2021-05-12)

  * Added support for boosting pages in search

mkdocs-material-7.1.4+insiders-2.7.2 (2021-05-08)

  * Fixed #2638: Warnings shown when using tags plugin without directory URLs

mkdocs-material-7.1.4 (2021-05-06)

  * Added support for git-revision-date-localized plugin creation date
  * Improved footnote styles on :target and :focus

mkdocs-material-7.1.3+insiders-2.7.1 (2021-05-03)

  * Fixed git-revision-date-localized plugin integration (2.7.0 regression)

mkdocs-material-7.1.3+insiders-2.7.0 (2021-05-01)

  * Added support for tags (with search integration)

mkdocs-material-7.1.3 (2021-04-24)

  * Fixed #2586: Empty table of contents shown (7.1.2 regression)

mkdocs-material-7.1.2 (2021-04-18)

  * Fixed #2554: List markers sometimes overlap floated elements
  * Fixed #2563: Adding a class to a h1 breaks the table of contents
  * Fixed #2566: Back-to-top button clickable when invisible

mkdocs-material-7.1.1+insiders-2.6.0 (2021-04-11)

  * Stay on page when switching versions

mkdocs-material-7.1.1 (2021-04-10)

  * Fixed #2501: Nested definition lists compound bottom margin
  * Fixed #2508: Switch extracopyright block to template variable
  * Fixed #2533: Search (and other parts) not working in Safari <14
  * Fixed #2538: Visual quirk when opening language selector

mkdocs-material-7.1.0 (2021-03-29)

  * Added support for color palette toggle
  * Added support for back-to-top button
  * Added latest release to repository info (GitHub)
  * Slight facelift of repository info (lighter fonts, spacing and icons)

mkdocs-material-7.0.7+insiders-2.5.0 (2021-03-28)

  * Added support for version warning

mkdocs-material-7.0.7 (2021-03-28)

  * Updated Hungarian translations
  * Fixed #2466: Docker image not based on latest Python and Alpine
  * Fixed #2488: Inconsistent header shadow behavior
  * Fixed #2492: Inline code blocks in admonition titles missing background

mkdocs-material-7.0.6+insiders-2.4.0 (2021-03-20)

  * Added support for custom admonition icons
  * Fixed #2444: Code block annotations with extra comments have wrong index

mkdocs-material-7.0.6+insiders-2.3.1 (2021-03-14)

  * Fixed anchor offset for permalinks when using sticky navigation tabs

mkdocs-material-7.0.6 (2021-03-14)

  * Added trailing slash to version selector URL
  * Added support for out-of-order anchors in table of contents
  * Added extra.homepage option to link logo to arbitrary URL
  * Improved security of Docker image (always update apk)
  * Fixed horizontal spacing for nested inline admonitions
  * Fixed text color of nested code blocks inside links
  * Fixed version selector to always use version title
  * Fixed logo link when using versioning with instant loading

mkdocs-material-7.0.5+insiders-2.3.0 (2021-03-13)

  * Added support for back-to-top button

mkdocs-material-7.0.5 (2021-03-07)

  * Added extracopyright block to allow for custom copyright info
  * Fixed evaluation of third-party scripts when using instant loading
  * Fixed edge cases when using instant loading without directory URLs
  * Fixed handling of version selector when using instant loading
  * Fixed regression with header title not being updated correctly
  * Fixed expanded sections not opening on first click (7.0.4 regression)

mkdocs-material-7.0.4+insiders-2.2.1 (2021-03-04)

  * Fixed #2382: Repository stats failing when no release tag is present

mkdocs-material-7.0.4 (2021-03-04)

  * Added Icelandic translations
  * Fixed #2386: Section close requires two clicks (navigation expansion)
  * Fixed console error when search is disabled (7.0.0 regression)
  * Fixed localsearch integration (7.0.0 regression)

mkdocs-material-7.0.3+insiders-2.2.0 (2021-02-28)

  * Added support for code block annotations

mkdocs-material-7.0.3+insiders-2.1.0 (2021-02-26)

  * Added support for anchor tracking

mkdocs-material-7.0.3 (2021-02-26)

  * Fixed JavaScript errors in older browsers (target ES2020 -> ES2015)

mkdocs-material-7.0.2 (2021-02-25)

  * Fixed #2343: Invalid source map URLs for JS and CSS files
  * Fixed #2347: Version selector missing when using versioning

mkdocs-material-7.0.1+insiders-2.0.0 (2021-02-24)

  * Migrated Insiders to the new architecture
  * Swapped color palette toggle configuration

mkdocs-material-7.0.1 (2021-02-24)

  * Fixed #2334: Google Analytics triggers page view twice (7.0.0 regression)
  * Fixed #2336: Details bleed into inline admonitions
  * Fixed #2337: Images don't align correctly (7.0.0 regression)

mkdocs-material-7.0.0 (2021-02-22)

  * Added support for deploying multiple versions
  * Added support for integrating a language selector
  * Added support for rendering admonitions as inline blocks
  * Rewrite of the underlying reactive architecture
  * Removed Webpack in favor of reactive build strategy (-480 dependencies)
  * Fixed keyboard navigation for code blocks after content tabs switch

mkdocs-material-6.2.8 (2021-02-04)

  * Updated Japanese and Polish translations
  * Fixed #2261: Print dialog auto-closing when using instant loading

mkdocs-material-6.2.7+insiders-1.17.0 (2021-01-31)

  * Added support for section index pages

mkdocs-material-6.2.7 (2021-01-31)

  * Fixed #2251: Updated Docker image to latest Alpine Linux

mkdocs-material-6.2.6+insiders-1.16.1 (2021-01-26)

  * Fixed #2249: Instant loading + sticky tabs result in invalid links
  * Fixed #2248: Search highlighting URL parameter always added
  * Fixed #2235: Version selector doesn't select current version for aliases

mkdocs-material-6.2.6 (2021-01-26)

  * Added Bulgarian translations
  * Fixed #2233: Search not shown when using header autohiding

mkdocs-material-6.2.5+insiders-1.16.0 (2021-01-17)

  * Added latest release to repository info (GitHub)
  * Slight facelift of repository info (lighter fonts, spacing and icons)

mkdocs-material-6.2.5 (2021-01-17)

  * Fixed syntax error in Swedish translations
  * Optimized navigation partials to improve build speed for huge docs

mkdocs-material-6.2.4 (2021-01-09)

  * Fixed #2156: Missing syntax highlighting for binary numbers
  * Fixed #2186: Disqus showing on 404 page

mkdocs-material-6.2.3+insiders-1.15.0 (2021-01-02)

  * Added support for native Mermaid.js integration

mkdocs-material-6.2.3+insiders-1.14.0 (2020-12-30)

  * Added support for sharing searches

mkdocs-material-6.2.3 (2020-12-27)

  * Added back hidden overflow on root container
  * Fixed #2142: MathJax formulas sometimes have vertical scrollbars

mkdocs-material-6.2.2+insiders-1.13.2 (2020-12-22)

  * Fixed version selector + sticky tabs navigation rendering issues
  * Fixed version selector wrapping

mkdocs-material-6.2.2 (2020-12-22)

  * Removed Markdown version range limit (6.2.0 regression)

mkdocs-material-6.2.1 (2020-12-22)

  * Fixed all import and asset paths in templates (6.2.0 regression)
  * Downgraded webpack-asset-manifest-plugin - broke all asset paths

mkdocs-material-6.2.0 (2020-12-22)

  * Added support for navigation sections
  * Added support for navigation expansion
  * Added support for integrating table of contents into navigation
  * Added support for autohiding header on scroll
  * Added support for hiding navigation and table of contents per page
  * Added support for arbitrary items in navigation tabs
  * Refactored navigation tabs to simplify grouping behavior
  * Fixed anchor offset for permalinks in Safari (partial revert)
  * Fixed #2098: Active tab sometimes not highlighted correctly
  * Improved appearance for horizontal rulers
  * Improved Spanish and Swedish translations

mkdocs-material-6.1.7+insiders-1.13.1 (2020-12-20)

  * Fixed horizontal scrollbars for language and version selection
  * Fixed type conversion in JavaScript config (#6)

mkdocs-material-6.1.7+insiders-1.13.0 (2020-12-13)

  * Added support for sticky navigation tabs
  * Added support for arbitrary links in navigation tabs
  * Refactored navigation tabs to simplify grouping behavior
  * Fixed #2098: Subsequent active subsection not highlighted correctly

mkdocs-material-6.1.7+insiders-1.12.1 (2020-12-08)

  * Fixed empty language selector being shown

mkdocs-material-6.1.7+insiders-1.12.0 (2020-12-06)

  * Added support for adding a language selector

mkdocs-material-6.1.7 (2020-12-06)

  * Fixed #2081: Fixed stats for private GitHub repositories
  * Fixed alignment for admonition icon alignment for right-to-left languages

mkdocs-material-6.1.6+insiders-1.11.2 (2020-11-29)

  * Fixed #2068: Search highlight interprets code blocks as JavaScript

mkdocs-material-6.1.6+insiders-1.11.1 (2020-11-29)

  * Refactored styling to be more stable and easier to adjust
  * Fixed some styling regressions from latest features

mkdocs-material-6.1.6+insiders-1.11.0 (2020-11-22)

  * Added support for rendering admonitions as inline blocks

mkdocs-material-6.1.6 (2020-11-22)

  * Fixed #2048: Math formulas show scrollbars (Windows)

mkdocs-material-6.1.5+insiders-1.10.0 (2020-11-15)

  * Added support for integrating table of contents into navigation

mkdocs-material-6.1.5 (2020-11-15)

  * Fixed search reset button not showing/hiding correctly

mkdocs-material-6.1.4+insiders-1.9.0 (2020-11-07)

  * Added support for hiding navigation and table of contents on any page
  * Removed autohiding table of contents when empty

mkdocs-material-6.1.4 (2020-11-07)

  * Fixed sidebar jitter when scrolling footer into view

mkdocs-material-6.1.3 (2020-11-05)

  * Added support for keywords meta tag
  * Fixed #2027: Line numbers don't scale with smaller font size
  * Fixed link colors for black and white on slate color scheme
  * Removed focus outline on scrolling code blocks for pointer devices

mkdocs-material-6.1.2+insiders-1.8.0 (2020-11-01)

  * Added support for navigation sections
  * Fixed appearance of inactive search suggestions

mkdocs-material-6.1.2 (2020-10-31)

  * Fixed sizing of icons in admonitions, task lists, etc. (6.1.1 regression)

mkdocs-material-6.1.1 (2020-10-31)

  * Fixed #2019: Page title not correctly updated when using instant loading

mkdocs-material-6.1.0+insiders-1.7.0 (2020-10-25)

  * Added support for deploying multiple versions
  * Fixed alignment of sidebar when content area is too small

mkdocs-material-6.1.0 (2020-10-17)

  * Fixed #1973: Added support for printing in dark mode
  * Fixed #1974: Added support for printing content tabs
  * Fixed #1995: Improved customizability of details extension

mkdocs-material-6.0.2+insiders-1.6.0 (2020-10-11)

  * Added support for search suggestions to save keystrokes
  * Added support for removing 'Made with Material for MkDocs' from footer
  * Fixed #1915: search should go to first result by pressing Enter

mkdocs-material-6.0.2 (2020-10-04)

  * Added Georgian translations
  * Added escaping for link title attributes where necessary
  * Fixed #1956: Pages with whitespace in names have invalid links in search
  * Removed unnecessary (duplicated) link title attributes

mkdocs-material-6.0.1 (2020-09-26)

  * Fixed stemmer support for file:// protocol through iframe-worker
  * Fixed details marker showing for search result in Firefox
  * Fixed tabbing behavior when search query is not empty
  * Switched TypeScript compilation target to ES2015
  * Reduced size of JavaScript by 30% (176kb → 124kb)
  * Removed mkdocs and readthedocs themes from Docker image

mkdocs-material-6.0.0 (2020-09-25)

  * Improved search result look and feel
  * Improved search result stability while typing
  * Improved search result grouping (pages + headings)
  * Improved search result relevance and scoring
  * Added display of missing query terms to search results
  * Reduced size of vendor bundle by 25% (84kb → 67kb)
  * Reduced size of the Docker image to improve CI build performance
  * Removed hero partial in favor of custom implementation
  * Removed deprecated front matter features

mkdocs-material-5.5.14 (2020-09-23)

  * Improved spacing around image captions
  * Fixed #1939: Long tables cause header overlap in print view

mkdocs-material-5.5.13+insiders-1.5.1 (2020-09-21)

  * Fixed content area stretching to whole width for long code blocks

mkdocs-material-5.5.13+insiders-1.5.0 (2020-09-19)

  * Added support for autohiding table of contents when empty

mkdocs-material-5.5.13 (2020-09-19)

  * Improved abbreviations on touch devices

mkdocs-material-5.5.12+insiders-1.4.1 (2020-09-06)

  * Improved typeahead and search result relevance and scoring

mkdocs-material-5.5.12 (2020-08-31)

  * Fixed #1638: occasional 404 for images when using instant loading

mkdocs-material-5.5.11+insiders-1.4.0 (2020-08-30)

  * Added support for autohiding header on scroll

mkdocs-material-5.5.11 (2020-08-28)

  * Fixed Disqus integration, as the minifier killed the config

mkdocs-material-5.5.10 (2020-08-28)

  * Improved rendering by moving Disqus integration after page load
  * Fixed #1887: Moved navigation icons to CSS to reduce size of HTML

mkdocs-material-5.5.9+insiders-1.3.0 (2020-08-26)

  * Added support for user-selectable color palettes

mkdocs-material-5.5.9 (2020-08-26)

  * Added Esperanto translations
  * Fixed #1884: External links not included in navigation tabs

mkdocs-material-5.5.8 (2020-08-23)

  * Removed focus outline on details and content tabs for pointer devices
  * Improved accessibility of content tabs (now navigable via arrow keys)
  * Fixed #1877: 404 on search index when search is disabled
  * Fixed some memleaks in observable subscriptions
  * Fixed color definitions for theme-color meta tag

mkdocs-material-5.5.7 (2020-08-16)

  * Improved contrast ratio to 4.5:1 for syntax highlighting
  * Improved contrast ratio to 4.5:1 for table of contents

mkdocs-material-5.5.6 (2020-08-12)

  * Switched base template for 404.html to main.html
  * Fixed #1864: GitHub organisation stats not loading

mkdocs-material-5.5.5+insiders-1.2.0 (2020-08-11)

  * Added feature to expand navigation by default

mkdocs-material-5.5.5 (2020-08-11)

  * Fixed missing vendor and worker distribution files

mkdocs-material-5.5.4 (2020-08-11)

  * Added support for sortable data tables

mkdocs-material-5.5.3 (2020-08-04)

  * Fixed search for languages other than English (5.5.1 regression)

mkdocs-material-5.5.2+insiders-1.1.0 (2020-08-03)

  * Added highlighting of search results

mkdocs-material-5.5.2 (2020-08-03)

  * Improved highlight colors and spacing for ins, del and mark
  * Changed some keyboard symbols for better equivalents
  * Removed focus outline for details and code blocks on touch devices
  * Fixed margins for admonitions (5.5.1 regression)
  * Fixed too small content tab labels (5.5.1 regression)
  * Fixed icon repeating for custom admonition icons

mkdocs-material-5.5.1 (2020-08-01)

  * Improved typesetting by basing font-size and spacings on em
  * Improved print view by slightly scaling down font-size
  * Changed custom site title (metadata) to be suffixed with site name
  * Fixed top- and bottom spacing of paragraphs inside table cells

mkdocs-material-5.5.0 (2020-07-24)

  * Rewrite of entire documentation
  * Rewrite of syntax highlighting to be customizable with CSS variables
  * Improved syntax highlighting to work with light and dark theme
  * Improved slate color scheme to be more customizable and easier on the eyes
  * Added licenses of icon sets to distribution files
  * Fixed stale document titles in Google Analytics when using instant loading
  * Fixed width of previous and next footer links for tablet and above
  * Fixed issues with top scroll margin for footnotes
  * Fixed top margin for tabbed content when using a JavaScript highlighter
  * Deprecated metadata-based redirects, source links and heroes

mkdocs-material-5.4.0+insiders-1.0.0 (2020-07-14)

  * Added grouping of search results
  * Added missing query terms to search result
  * Improved search result relevance and scoring

mkdocs-material-5.4.0 (2020-06-29)

  * Added support to wrap searches in quotes to switch from OR to AND
  * Fixed highlighting of numbers in search results

mkdocs-material-5.3.3 (2020-06-24)

  * Added Bengali translations
  * Fixed #1773: Search for numbers does not return any result (regression)

mkdocs-material-5.3.2 (2020-06-21)

  * Improved search typeahead experience with non-Latin characters
  * Fixed #1753: Japanese search doesn't work anymore

mkdocs-material-5.3.1 (2020-06-20)

  * Fixed #1761: Duplication of search worker when subscribing to observable

mkdocs-material-5.3.0 (2020-06-15)

  * Added support for color schemes based on user preference
  * Fixed #1755: Tokenizer separator setting ignored

mkdocs-material-5.2.3 (2020-06-07)

  * Improved search typeahead behavior for some languages (de, fr, ...)
  * Improved styles for scrollbars on Firefox
  * Fixed #1741: Removed preconnect hint for Google Analytics

mkdocs-material-5.2.2 (2020-05-26)

  * Fixed #1728: Legacy Edge doesn't support deg values in hsla colors

mkdocs-material-5.2.1 (2020-05-22)

  * Fixed color of links in table headers, e.g. footnotes
  * Fixed color scheme not being applied without primary or accent color
  * Fixed hover delay for links inside code blocks

mkdocs-material-5.2.0 (2020-05-18)

  * Added color schemes implementation + dark mode
  * Fixed #1583: Missing option for separate link colors

mkdocs-material-5.1.7 (2020-05-16)

  * Added keyboard focus support for overflowing code blocks
  * Fixed #1696: Infinite loop in some cases when using instant loading

mkdocs-material-5.1.6 (2020-05-09)

  * Added Burmese translations
  * Added general anchor offset solution using scroll-margin-top
  * Fixed #1653: Instant loading shouldn't intercept links to *.html files

mkdocs-material-5.1.5 (2020-05-03)

  * Added name attribute for social links to set link title
  * Fixed #1623: Allow arbitrary links in social links
  * Fixed #1664: Height of iframe is not adjustable
  * Fixed #1667: Sidebars are scrolled to bottom on load (bug in Chrome 81+)

mkdocs-material-5.1.4 (2020-04-30)

  * Switched to @mdi/svg Material Design icon package
  * Fixed #1655: Navigation may disappear after switching viewports
  * Fixed #1659: Unnecessary scrollbar for search results on Windows
  * Fixed occasional distortions for images with explicit dimensions
  * Fixed errors in German translations

mkdocs-material-5.1.3 (2020-04-26)

  * Fixed overflowing content area after switch to flexbox

mkdocs-material-5.1.2 (2020-04-26)

  * Added status information to search observable
  * Added status information to search modal
  * Removed announcement bar from print media
  * Removed media query packing logic due to race conditions
  * Fixed #1520: Gracefully disable search on file:// if Worker fails
  * Fixed re-submission of query after search is initialized
  * Fixed jitter of sidebars on all browsers by switching to sticky

mkdocs-material-5.1.1 (2020-04-17)

  * Added new FontAwesome icons
  * Fixed #1609: Instant loading doesn't honor target=_blank
  * Fixed GitHub stars count rounding errors
  * Fixed GitLab stars count retrieval

mkdocs-material-5.1.0 (2020-04-12)

  * Added support for icons from Markdown through mkdocs-material-extensions

mkdocs-material-5.0.2 (2020-04-10)

  * Added CSS source maps to distribution files
  * Fixed errors in Chinese (Traditional) translations
  * Fixed creation of stale directory on installation from git
  * Improved overflow scrolling behavior on iOS (reduced bundle size by 4kb)

mkdocs-material-5.0.1 (2020-04-07)

  * Fixed syntax error in Spanish translations

mkdocs-material-5.0.0 (2020-04-07)

  * Reactive architecture – try app.dialog$.next("Hi!") in the console
  * Instant loading – make Material behave like a Single Page Application
  * Improved CSS customization with CSS variables – set your brand's colors
  * Improved CSS resilience, e.g. proper sidebar locking for customized headers
  * Improved icon integration and configuration – now including over 5k icons
  * Added possibility to use any icon for logo, repository and social links
  * Search UI does not freeze anymore (moved to web worker)
  * Search index built only once when using instant loading
  * Improved extensible keyboard handling
  * Support for prebuilt search indexes
  * Support for displaying stars and forks for GitLab repositories
  * Support for scroll snapping of sidebars and search results
  * Reduced HTML and CSS footprint due to deprecation of IE support
  * Slight facelifting of some UI elements (admonitions, tables, ...)

mkdocs-material-4.6.3 (2020-02-14)

  * Removed optional third-party plugins from requirements.txt
  * Updated Docker image to contain all supported third-party plugins

mkdocs-material-4.6.2 (2020-02-08)

  * Added Romanian translations
  * Fixed #1451: Inconsistent spacing for fenced code blocks

mkdocs-material-4.6.1 (2020-02-08)

  * Fixed #1324: Metadata author only rendering first character
  * Fixed #1393: Set tabindex to 0 for skip to content link
  * Fixed code blocks after Markdown 3.2 release
  * Fixed errors in Japanese translations
  * Improved Google Lighthouse score

mkdocs-material-4.6.0 (2019-12-11)

  * Added support for mkdocs-git-revision-date-localized-plugin
  * Fixed invalid character in Google Fonts URL

mkdocs-material-4.5.1 (2019-12-02)

  * Added Thai translations
  * Fixed missing assets in GitHub release .zip and .tar.gz

mkdocs-material-4.5.0 (2019-11-16)

  * Fixed #1330: Upgraded EmojiOne to Tweomji due to licensing issues
  * Fixed #1339: Temporarily pinned PyMdown and Markdown due to
  * Fixed errors in Greek translations
  * Improved GitHub statistics retrieval

mkdocs-material-4.4.3 (2019-10-03)

  * Added Estonian translations
  * Fixed removal of copyright banners in minified JavaScript
  * Removed unnecessary title attributes from links in table of contents

mkdocs-material-4.4.2 (2019-08-27)

  * Added Afrikaans translations
  * Fixed broken page title when h1 contained HTML tags
  * Improved accessibility for IE users
  * Removed unnecessary title attributes from links in navigation

mkdocs-material-4.4.1 (2019-08-22)

  * Added support for black as a primary color
  * Fixed broken footer bar when h1 contained HTML tags

mkdocs-material-4.4.0 (2019-06-15)

  * Added Slovenian translations
  * Reverted template minification in favor of mkdocs-minify-plugin
  * Fixed #1114: Tabs don't reappear when default font-size is smaller than 16

mkdocs-material-4.3.1 (2019-05-23)

  * Fixed spelling error in Danish translations

mkdocs-material-4.3.0 (2019-05-17)

  * Added support for changing header through metadata title property
  * Added font-display: swap to Google Font loading logic
  * Removed whitespace from templates, saving 4kb (.7kb gzipped) per request
  * Fixed alignment of repository icons on tablet and desktop

mkdocs-material-4.2.0 (2019-04-28)

  * Added Norwegian (Nynorsk) translations
  * Fixed loss of focus in non-form input elements due to search hotkeys
  * Fixed #1067: Search hotkeys not working for mobile/tablet screensize
  * Fixed #1068: Search not correctly aligned for tablet screensize

mkdocs-material-4.1.2 (2019-04-16)

  * Fixed #1072: HTML tags appearing in navigation link titles

mkdocs-material-4.1.1 (2019-03-28)

  * Fixed minor CSS errors detected during validation

mkdocs-material-4.1.0 (2019-03-22)

  * Fixed #1023: Search for Asian languages broken after Lunr.js update
  * Fixed #1026: contenteditable elements loose focus on hotkeys

mkdocs-material-4.0.2 (2019-03-01)

  * Fixed #1012: HTML character entities appear in search result titles

mkdocs-material-4.0.1 (2019-02-13)

  * Fixed #762, #816: Glitch in sidebar when collapsing items
  * Fixed #869: Automatically expand details before printing

mkdocs-material-4.0.0 (2019-02-13)

  * Added background on hover for table rows
  * Removed Google Tag Manager and reverted to Google Analytics
  * Removed blocks in partials - Jinja doesn't support them
  * Fixed #911: Chrome breaks layout if system language is Chinese [BREAKING]
  * Fixed #976: Removed FastClick

mkdocs-material-3.3.0 (2019-01-29)

  * Moved Google Analytics integration into head using Google Tag Manager
  * Fixed #972: Unicode slugifier breaks table of contents blur on scroll
  * Fixed #974: Additional links in table of contents break blur on scroll

mkdocs-material-3.2.0 (2018-12-28)

  * Added support for redirects using metadata refresh
  * Fixed #921: Load Google Analytics snippet asynchronously

mkdocs-material-3.1.0 (2018-11-17)

  * Added support for Progressive Web App Manifest
  * Fixed #915: Search bug in Safari (upgraded Lunr.js)

mkdocs-material-3.0.6 (2018-10-26)

  * Added Taiwanese translations
  * Fixed #906: JavaScript code blocks evaluated in search results

mkdocs-material-3.0.5 (2018-10-23)

  * Added Croatian and Indonesian translations
  * Fixed #899: Skip-to-content link invalid from 2nd level on
  * Fixed #902: Missing URL filter in footer for FontAwesome link

mkdocs-material-3.0.4 (2018-09-03)

  * Updated Dutch translations
  * Fixed #856: Removed preconnect meta tag if Google Fonts are disabled

mkdocs-material-3.0.3 (2018-08-07)

  * Fixed #841: Additional path levels for extra CSS and JS

mkdocs-material-3.0.2 (2018-08-06)

  * Fixed #839: Lunr.js stemmer imports incorrect

mkdocs-material-3.0.1 (2018-08-05)

  * Fixed #838: Search result links incorrect

mkdocs-material-3.0.0 (2018-08-05)

  * Upgraded MkDocs to 1.0 [BREAKING]
  * Upgraded Python in official Docker image to 3.6
  * Added Serbian and Serbo-Croatian translations

mkdocs-material-2.9.4 (2018-07-29)

  * Fixed build error after MkDocs upgrade

mkdocs-material-2.9.3 (2018-07-29)

  * Added link to home for logo in drawer
  * Fixed dependency problems between MkDocs and Tornado

mkdocs-material-2.9.2 (2018-06-29)

  * Added Hindi and Czech translations

mkdocs-material-2.9.1 (2018-06-18)

  * Added support for different spellings for theme color
  * Fixed #799: Added support for webfont minification in production
  * Fixed #800: Added .highlighttable as an alias for .codehilitetable

mkdocs-material-2.9.0 (2018-06-13)

  * Added support for theme color on Android
  * Fixed #796: Rendering of nested tabbed code blocks

mkdocs-material-2.8.0 (2018-06-10)

  * Added support for grouping code blocks with tabs
  * Added Material and FontAwesome icon fonts to distribution files (GDPR)
  * Added note on compliance with GDPR
  * Added Slovak translations
  * Fixed #790: Prefixed id attributes with "__" to avoid name clashes

mkdocs-material-2.7.3 (2018-04-26)

  * Added Finnish translations

mkdocs-material-2.7.2 (2018-04-09)

  * Fixed rendering issue for details on Edge

mkdocs-material-2.7.1 (2018-03-21)

  * Added Galician translations
  * Fixed #730: Scroll chasing error on home page if Disqus is enabled
  * Fixed #736: Reset drawer and search upon back button invocation

mkdocs-material-2.7.0 (2018-03-06)

  * Added ability to set absolute URL for logo
  * Added Hebrew translations

mkdocs-material-2.6.6 (2018-02-22)

  * Added preconnect for Google Fonts for faster loading
  * Fixed #710: With tabs sidebar disappears if JavaScript is not available

mkdocs-material-2.6.5 (2018-02-22)

  * Reverted --dev-addr flag removal from Dockerfile

mkdocs-material-2.6.4 (2018-02-21)

  * Added Catalan translations
  * Fixed incorrect margins for buttons in Firefox and Safari
  * Replaced package manager yarn with npm 5.6
  * Reverted GitHub stars rounding method
  * Removed --dev-addr flag from Dockerfile for Windows compatibility

mkdocs-material-2.6.3 (2018-02-18)

  * Added Vietnamese translations

mkdocs-material-2.6.2 (2018-02-12)

  * Added Arabic translations
  * Fixed incorrect rounding of amount of GitHub stars
  * Fixed double-layered borders for tables

mkdocs-material-2.6.1 (2018-02-11)

  * Added ability to override Disqus integration using metadata
  * Fixed #690: Duplicate slashes in source file URLs
  * Fixed #696: Active page highlight not working with default palette
  * Adjusted German translations

mkdocs-material-2.6.0 (2018-02-02)

  * Moved default search configuration to default translation (English)
  * Added support to automatically set text direction from translation
  * Added support to disable search stop word filter in translation
  * Added support to disable search trimmer in translation
  * Added Persian translations
  * Fixed support for Polish search
  * Fixed disappearing GitHub, GitLab and Bitbucket repository icons

mkdocs-material-2.5.5 (2018-01-31)

  * Added Hungarian translations

mkdocs-material-2.5.4 (2018-01-29)

  * Fixed #683: gh-deploy fails inside Docker

mkdocs-material-2.5.3 (2018-01-25)

  * Added Ukrainian translations

mkdocs-material-2.5.2 (2018-01-22)

  * Added default search language mappings for all localizations
  * Fixed #673: Error loading non-existent search language
  * Fixed #675: Uncaught reference error when search plugin disabled

mkdocs-material-2.5.1 (2018-01-20)

  * Fixed permalink for main headline
  * Improved missing translation handling with English as a fallback
  * Improved accessibility with skip-to-content link

mkdocs-material-2.5.0 (2018-01-13)

  * Added support for right-to-left languages

mkdocs-material-2.4.0 (2018-01-11)

  * Added focus state for clipboard buttons
  * Fixed #400: Search bar steals tab focus
  * Fixed search not closing on ENTER when result is selected
  * Fixed search not closing when losing focus due to TAB
  * Fixed collapsed navigation links getting focus
  * Fixed outline being cut off on TAB focus of navigation links
  * Fixed bug with first search result navigation being ignored
  * Removed search result navigation via TAB (use UP and DOWN)
  * Removed outline resets for links
  * Improved general tabbing behavior on desktop

mkdocs-material-2.3.0 (2018-01-09)

  * Added example (synonym: snippet) style for admonitions
  * Added synonym abstract for summary style for admonitions

mkdocs-material-2.2.6 (2017-12-27)

  * Added Turkish translations
  * Fixed unclickable area below header in case JavaScript is not available

mkdocs-material-2.2.5 (2017-12-18)

  * Fixed #639: Broken default favicon

mkdocs-material-2.2.4 (2017-12-18)

  * Fixed #638: Build breaks with Jinja < 2.9

mkdocs-material-2.2.3 (2017-12-13)

  * Fixed #630: Admonition sets padding on any last child
  * Adjusted Chinese (Traditional) translations

mkdocs-material-2.2.2 (2017-12-08)

  * Added Dutch translations
  * Adjusted targeted link and footnote offsets
  * Simplified admonition styles and fixed padding bug

mkdocs-material-2.2.1 (2017-12-02)

  * Fixed #616: Minor styling error with title-only admonitions
  * Removed border for table of contents and improved spacing

mkdocs-material-2.2.0 (2017-11-22)

  * Added support for hero teaser
  * Added Portuguese translations
  * Fixed #586: Footnote backref target offset regression
  * Fixed #605: Search stemmers not correctly loaded

mkdocs-material-2.1.1 (2017-11-21)

  * Replaced deprecated babel-preset-es2015 with babel-preset-env
  * Refactored Gulp build pipeline with Webpack
  * Removed right border on sidebars
  * Fixed broken color transition on header

mkdocs-material-2.1.0 (2017-11-19)

  * Added support for white as a primary color
  * Added support for sliding site name and title
  * Fixed redundant clipboard button when using line numbers on code blocks
  * Improved header appearance by making it taller
  * Improved tabs appearance
  * Improved CSS customizability by leveraging inheritance
  * Removed scroll shadows via background-attachment
  * Removed breadcrumbs from header

mkdocs-material-2.0.4 (2017-11-05)

  * Fixed details not opening with footnote reference

mkdocs-material-2.0.3 (2017-11-05)

  * Added Japanese translations
  * Fixed #540: Jumping to anchor inside details doesn't open it
  * Fixed active link colors in footer

mkdocs-material-2.0.2 (2017-11-01)

  * Added Russian translations
  * Fixed #542: Horizontal scrollbar between 1220px and 1234px
  * Fixed #553: Metadata values only rendering first character
  * Fixed #558: Flash of unstyled content
  * Fixed favicon regression caused by deprecation upstream

mkdocs-material-2.0.1 (2017-10-31)

  * Fixed error when initializing search
  * Fixed styles for link to edit the current page
  * Fixed styles on nested admonition in details

mkdocs-material-2.0.0 (2017-10-31)

  * Added support for MkDocs 0.17.1 theme configuration options
  * Added support for easier configuration of search tokenizer
  * Added support to disable search
  * Added Korean translations
  * Removed support for MkDocs 0.16.x [BREAKING]

mkdocs-material-1.12.2 (2017-10-26)

  * Added Italian, Norwegian, French and Chinese translations

mkdocs-material-1.12.1 (2017-10-22)

  * Added Polish, Swedish and Spanish translations
  * Improved downward compatibility with custom partials
  * Temporarily pinned MkDocs version within Docker image to 0.16.3
  * Fixed #519: Missing theme configuration file

mkdocs-material-1.12.0 (2017-10-20)

  * Added support for setting language(s) via mkdocs.yml
  * Added support for default localization
  * Added German and Danish translations
  * Fixed #374: Search bar misalignment on big screens

mkdocs-material-1.11.0 (2017-10-19)

  * Added localization to clipboard
  * Refactored localization logic

mkdocs-material-1.10.4 (2017-10-18)

  * Improved print styles of code blocks
  * Improved search UX (don't close on enter if no selection)
  * Fixed #495: Vertical scrollbar on short pages

mkdocs-material-1.10.3 (2017-10-11)

  * Fixed #484: Vertical scrollbar on some MathJax formulas
  * Fixed #483: Footnote backref target offset regression

mkdocs-material-1.10.2 (2017-10-06)

  * Fixed #468: Sidebar shows scrollbar if content is shorter (in Safari)

mkdocs-material-1.10.1 (2017-09-14)

  * Fixed #455: Bold code blocks rendered with normal font weight

mkdocs-material-1.10.0 (2017-09-01)

  * Added support to make logo default icon configurable
  * Fixed uninitialized overflow scrolling on main pane for iOS
  * Fixed error in mobile navigation in case JavaScript is not available
  * Fixed incorrect color transition for nested panes in mobile navigation
  * Improved checkbox styles for Tasklist from PyMdown Extension package

mkdocs-material-1.9.0 (2017-08-29)

  * Added info (synonym: todo) style for admonitions
  * Added question (synonym: help, faq) style for admonitions
  * Added support for Details from PyMdown Extensions package
  * Improved admonition styles to match details
  * Improved styles for social links in footer
  * Replaced ligatures with Unicode code points to avoid broken layout
  * Upgraded PyMdown Extensions package dependency to >= 3.4

mkdocs-material-1.8.1 (2017-08-07)

  * Fixed #421: Missing pagination for GitHub API

mkdocs-material-1.8.0 (2017-08-02)

  * Added support for lazy-loading of search results for better performance
  * Added support for customization of search tokenizer/separator
  * Fixed #424: Search doesn't handle capital letters anymore
  * Fixed #419: Search doesn't work on whole words

mkdocs-material-1.7.5 (2017-07-25)

  * Fixed #398: Forms broken due to search shortcuts
  * Improved search overall user experience
  * Improved search matching and highlighting
  * Improved search accessibility

mkdocs-material-1.7.4 (2017-06-21)

  * Fixed functional link colors in table of contents for active palette
  * Fixed #368: Compatibility issues with IE11

mkdocs-material-1.7.3 (2017-06-07)

  * Fixed error when setting language to Japanese for site search

mkdocs-material-1.7.2 (2017-06-06)

  * Fixed offset of search box when repo_url is not set
  * Fixed non-disappearing tooltip

mkdocs-material-1.7.1 (2017-06-01)

  * Fixed wrong z-index order of header, overlay and drawer
  * Fixed wrong offset of targeted footnote back references

mkdocs-material-1.7.0 (2017-06-01)

  * Added "copy to clipboard" buttons to code blocks
  * Added support for multilingual site search
  * Fixed search term highlighting for non-latin languages

mkdocs-material-1.6.4 (2017-05-24)

  * Fixed #337: JavaScript error for GitHub organization URLs

mkdocs-material-1.6.3 (2017-05-16)

  * Fixed #329: Broken source stats for private or unknown GitHub repos

mkdocs-material-1.6.2 (2017-05-15)

  * Fixed #316: Fatal error for git clone on Windows
  * Fixed #320: Chrome 58 creates double underline for abbr tags
  * Fixed #323: Ligatures rendered inside code blocks
  * Fixed miscalculated sidebar height due to missing margin collapse
  * Changed deprecated MathJax CDN to Cloudflare

mkdocs-material-1.6.1 (2017-04-23)

  * Fixed following of active/focused element if search input is focused
  * Fixed layer order of search component elements

mkdocs-material-1.6.0 (2017-04-22)

  * Added build test for Docker image on Travis
  * Added search overlay for better user experience (focus)
  * Added language from localizations to html tag
  * Fixed #270: Source links broken for absolute URLs
  * Fixed missing top spacing for first targeted element in content
  * Fixed too small footnote divider when using larger font sizes

mkdocs-material-1.5.5 (2017-04-20)

  * Fixed #282: Browser search (META+F) is hijacked

mkdocs-material-1.5.4 (2017-04-08)

  * Fixed broken highlighting for two or more search terms
  * Fixed missing search results when only a h1 is present
  * Fixed unresponsive overlay on Android

mkdocs-material-1.5.3 (2017-04-07)

  * Fixed deprecated calls for template variables
  * Fixed wrong palette color for focused search result
  * Fixed JavaScript errors on 404 page
  * Fixed missing top spacing on 404 page
  * Fixed missing right spacing on overflow of source container

mkdocs-material-1.5.2 (2017-04-05)

  * Added requirements as explicit dependencies in setup.py
  * Fixed non-synchronized transitions in search form

mkdocs-material-1.5.1 (2017-03-30)

  * Fixed rendering and offset of targeted footnotes
  * Fixed #238: Link on logo is not set to site_url

mkdocs-material-1.5.0 (2017-03-24)

  * Added support for localization of search placeholder
  * Added keyboard events for quick access of search
  * Added keyboard events for search control
  * Added opacity on hover for search buttons
  * Added git hook to skip CI build on non-src changes
  * Fixed non-resetting search placeholder when input is cleared
  * Fixed error for unescaped parentheses in search term
  * Fixed #229: Button to clear search missing
  * Fixed #231: Escape key doesn't exit search
  * Removed old-style figures from font feature settings

mkdocs-material-1.4.1 (2017-03-16)

  * Fixed invalid destructuring attempt on NodeList (in Safari, Edge, IE)

mkdocs-material-1.4.0 (2017-03-16)

  * Added support for grouping searched sections by documents
  * Added support for highlighting of search terms
  * Added support for localization of search results
  * Fixed #216: table of contents icon doesn't show if h1 is not present
  * Reworked style and layout of search results for better usability

mkdocs-material-1.3.0 (2017-03-11)

  * Added support for page-specific title and description using metadata
  * Added support for linking source files to documentation
  * Fixed jitter and offset of sidebar when zooming browser
  * Fixed incorrectly initialized tablet sidebar height
  * Fixed regression for #1: GitHub stars break if the repo_url ends with a '/'
  * Fixed undesired white line below copyright footer due to base font scaling
  * Fixed issue with whitespace in path for scripts
  * Fixed #205: support non-fixed (static) header
  * Refactored footnote references for better visibility
  * Reduced repaints to a minimum for non-tabs configuration
  * Reduced contrast of edit button (slightly)

mkdocs-material-1.2.0 (2017-03-03)

  * Added quote (synonym: cite) style for admonitions
  * Added help message to build pipeline
  * Fixed wrong navigation link colors when applying palette
  * Fixed #197: Link missing in tabs navigation on deeply nested items
  * Removed unnecessary dev dependencies

mkdocs-material-1.1.1 (2017-02-26)

  * Fixed incorrectly displayed nested lists when using tabs

mkdocs-material-1.1.0 (2017-02-26)

  * Added tabs navigation feature (optional)
  * Added Disqus integration (optional)
  * Added a high resolution Favicon with the new logo
  * Added static type checking using Facebook's Flow
  * Fixed #173: Dictionary elements have no bottom spacing
  * Fixed #175: Tables cannot be set to 100% width
  * Fixed race conditions in build related to asset revisioning
  * Fixed accidentally re-introduced Permalink on top-level headline
  * Fixed alignment of logo in drawer on IE11
  * Refactored styles related to tables
  * Refactored and automated Docker build and PyPI release
  * Refactored build scripts

mkdocs-material-1.0.5 (2017-02-18)

  * Fixed #153: Sidebar flows out of constrained area in Chrome 56
  * Fixed #159: Footer jitter due to JavaScript if content is short

mkdocs-material-1.0.4 (2017-02-16)

  * Fixed #142: Documentation build errors if h1 is defined as raw HTML
  * Fixed #164: PyPI release does not build and install
  * Fixed offsets of targeted headlines
  * Increased sidebar font size by 0.12rem

mkdocs-material-1.0.3 (2017-01-22)

  * Fixed #117: Table of contents items don't blur on fast scrolling
  * Refactored sidebar positioning logic
  * Further reduction of repaints

mkdocs-material-1.0.2 (2017-01-15)

  * Fixed #108: Horizontal scrollbar in content area

mkdocs-material-1.0.1 (2017-01-14)

  * Fixed massive repaints happening when scrolling
  * Fixed footer back reference positions in case of overflow
  * Fixed header logo from showing when the menu icon is rendered
  * Changed scrollbar behavior to only show when content overflows

mkdocs-material-1.0.0 (2017-01-13)

  * Introduced Webpack for more sophisticated JavaScript bundling
  * Introduced ESLint and Stylelint for code style checks
  * Introduced more accurate Material Design colors and shadows
  * Introduced modular scales for harmonic font sizing
  * Introduced git-hooks for better development workflow
  * Rewrite of CSS using the BEM methodology and SassDoc guidelines
  * Rewrite of JavaScript using ES6 and Babel as a transpiler
  * Rewrite of Admonition, Permalinks and CodeHilite integration
  * Rewrite of the complete typographical system
  * Rewrite of Gulp asset pipeline in ES6 and separation of tasks
  * Removed Bower as a dependency in favor of NPM
  * Removed custom icon build in favor of the Material Design icon set
  * Removed _blank targets on links due to vulnerability: http://bit.ly/1Mk2Rtw
  * Removed unversioned assets from build directory
  * Restructured templates into base templates and partials
  * Added build and watch scripts in package.json
  * Added support for Metadata and Footnotes Markdown extensions
  * Added support for PyMdown Extensions package
  * Added support for collapsible sections in navigation
  * Added support for separate table of contents
  * Added support for better accessibility through REM-based layout
  * Added icons for GitHub, GitLab and BitBucket integrations
  * Added more detailed documentation on specimen, extensions etc.
  * Added a 404.html error page for deployment on GitHub Pages
  * Fixed live reload chain in watch mode when saving a template
  * Fixed variable references to work with MkDocs 0.16

mkdocs-material-0.2.4 (2016-06-26)

  * Fixed improperly set default favicon
  * Fixed #33: Protocol relative URL for webfonts doesn't work with file://
  * Fixed #34: IE11 on Windows 7 doesn't honor max-width on main tag
  * Fixed #35: Add styling for blockquotes

mkdocs-material-0.2.3 (2016-05-16)

  * Fixed #25: Highlight inline fenced blocks
  * Fixed #26: Better highlighting for keystrokes
  * Fixed #30: Suboptimal syntax highlighting for PHP

mkdocs-material-0.2.2 (2016-03-20)

  * Fixed #15: Document Pygments dependency for CodeHilite
  * Fixed #16: Favicon could not be set through mkdocs.yml
  * Fixed #17: Put version into own container for styling
  * Fixed #20: Fix rounded borders for tables

mkdocs-material-0.2.1 (2016-03-12)

  * Fixed #10: Invisible header after closing search bar with ESC key
  * Fixed #13: Table cells don't wrap
  * Fixed empty list in table of contents when no headline is defined
  * Corrected wrong path for static asset monitoring in Gulpfile.js
  * Set up tracking of site search for Google Analytics

mkdocs-material-0.2.0 (2016-02-24)

  * Fixed #6: Include multiple color palettes via mkdocs.yml
  * Fixed #7: Better colors for links inside admonition notes and warnings
  * Fixed #9: Text for prev/next footer navigation should be customizable
  * Refactored templates (replaced if/else with modifiers where possible)

mkdocs-material-0.1.3 (2016-02-21)

  * Fixed #3: Ordered lists within an unordered list have ::before content
  * Fixed #4: Click on Logo/Title without Github-Repository: "None"
  * Fixed #5: Page without headlines renders empty list in table of contents
  * Moved Modernizr to top to ensure basic usability in IE8

mkdocs-material-0.1.2 (2016-02-16)

  * Fixed styles for deep navigational hierarchies
  * Fixed webfont delivery problem when hosted in subdirectories
  * Fixed print styles in mobile/tablet configuration
  * Added option to configure fonts in mkdocs.yml with fallbacks
  * Changed styles for admonition notes and warnings
  * Set download link to latest version if available
  * Set up tracking of outgoing links and actions for Google Analytics

mkdocs-material-0.1.1 (2016-02-11)

  * Fixed #1: GitHub stars don't work if the repo_url ends with a '/'
  * Updated NPM and Bower dependencies to most recent versions
  * Changed footer/copyright link to Material theme to GitHub pages
  * Made MkDocs building/serving in build process optional
  * Set up continuous integration with Travis

mkdocs-material-0.1.0 (2016-02-09)

  * Initial release
